#if ! defined( POWERPRO_DEFINES_HEADER )

#define POWERPRO_DEFINES_HEADER

#ifndef PLUGIN_NAME
 #define PLUGIN_NAME sample
#endif

#define PP_VAR_SIZE 531
#define PP_VAR_SIZE_INITIAL 127

typedef struct tagPProServices
{
 void (*ErrMessage)(LPSTR, LPSTR);
 BOOL (*MatchCaption)(HWND, LPSTR);
 HWND (*FindMatchingWindow)(LPSTR,BOOL);
 BOOL (*IsRolled)(HWND hw);
 BOOL (*IsTrayMinned)(HWND hw);
 void (*GetExeFullPath)(HWND hw, LPSTR szt);
 void (*RollUp)(HWND hw);
 void (*TrayMin)(HWND hw);
 void (*SendKeys)(LPSTR sz);
 BOOL (*EvalExpr)(LPSTR sz, LPSTR szo);
 void (*Debug)(LPSTR sz1, LPSTR sz2,LPSTR sz3, LPSTR sz4, LPSTR sz5, LPSTR sz6);
 LPSTR (*AllocTemp)(UINT leng);

 void (*ReturnString)(LPSTR sz, LPSTR* szargs);
 LPSTR (*GetVarAddr)(LPSTR var);
 LPSTR (*SetVar)(LPSTR var, LPSTR val);
 void (*IgnoreNextClip)();
 void (*Show)(HWND h);
 void (*RunCmd)(LPSTR szCmd, LPSTR szParam, LPSTR szWork);
 BOOL (*InsertStringForBar)( LPSTR szStr, LPSTR szCmd);
 void (*ResetFocus)();
 HWND (*NoteOpen)(LPSTR szFile, LPSTR szKeyWords);
 BOOL (*PumpMessages)();
 BOOL (*RegForConfig)(void ( *callback )(LPSTR szList), BOOL bReg );  //not implemented
 void (*SetPreviousFocus)(HWND h );
 UINT (*SetDebug)(LPSTR sz,LPSTR sz2 );
 UINT (*ScriptCancel)(LPSTR sz );
 void (*GetCurrentDir)(HWND h,LPSTR szt);
 void (*RegisterNonModal)(HWND h, BOOL b);
 UINT (*GetVarSize)(LPSTR szvar);

} PPROSERVICES;


#define PP_PLUGIN_RET  (*szArgs)
#define PP_PLUGIN_ARG1 (*(szArgs+1))
#define PP_PLUGIN_ARG2 (*(szArgs+2))
#define PP_PLUGIN_ARG3 (*(szArgs+3))
#define PP_PLUGIN_ARG4 (*(szArgs+4))
#define PP_PLUGIN_ARG5 (*(szArgs+5))
#define PP_PLUGIN_ARG6 (*(szArgs+6))
#define PP_PLUGIN_ARG7 (*(szArgs+7))
#define PP_PLUGIN_ARG8 (*(szArgs+8))
#define PP_PLUGIN_ARG9 (*(szArgs+9))

#ifndef INOUT
#define INOUT
#endif

#ifndef INOROUT
#define INOROUT
#endif

#ifndef JOIN
#  define JOIN(a,b) JOIN1(a,b)
#  define JOIN1(a,b) a##b
#endif

//from tcl.h
#ifndef STRINGIFY
#  define STRINGIFY(x) STRINGIFY1(x)
#  define STRINGIFY1(x) #x
#endif


#endif // ! defined( POWERPRO_DEFINES_HEADER )
