Attribute VB_Name = "PP"

Private Declare Function WinExec Lib "kernel32" (ByVal lpCmdLine As String, ByVal nCmdShow As Long) As Long
Private Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Private Const WM_COPYDATA = &H4A
Type COPYDATASTRUCT
        dwData As Long
        cbData As Long
        lpData As String 'documented as long
End Type

Private BN() As String 'the document names, ordered as they appear on the bar
Private PB As Integer 'which document is the pastboard (if any)


Sub AutoExec()
PPExec
End Sub

Sub AutoNew()
PPOpen ActiveDocument.Name
End Sub

Sub AutoOpen()
PPOpen ActiveDocument.Name
End Sub

Sub AutoClose()
PPClose ActiveDocument.Name
End Sub

Sub AutoExit()
PPExit
End Sub


Sub FileSave() 'REPLACES the normal file...save action
If ActiveDocument.Path = "" Then
    FileSaveAs
Else
    ActiveDocument.Save
End If
End Sub

Sub FileSaveAs() 'REPLACES the normal file...save action
Dim DocNr As Integer
ReDim Preserve BN(Documents.Count) 'in case BN is lost somehow
For DocNr = 1 To UBound(BN)
    If BN(DocNr) = ActiveDocument.Name Then Exit For
Next DocNr
Dialogs(wdDialogFileSaveAs).Show
If DocNr > UBound(BN) Then Exit Sub 'safeguard
BN(DocNr) = ActiveDocument.Name
PPSC "*Format Item item " & DocNr & " list ""WordBar"" hide 1 text """ & BN(DocNr) & """"
PPSC "*Format Item item " & DocNr & " list ""WordBar"" hide 0"
End Sub

Function PPSC(Cmd As String)
Dim PPH As Long
Dim C As COPYDATASTRUCT
PPH = FindWindow("PowerProMain", vbNullString)
C.dwData = 1
C.cbData = Len(Cmd) + 1
C.lpData = Cmd
PPSC = SendMessage(PPH, WM_COPYDATA, 0, C)
End Function

Sub PPCmd()
Dim PPV As String
ReDim Preserve BN(Documents.Count) 'in case BN is lost somehow
PPV = RecentFiles(1).Name 'a little hack (I can't pass parameters from VBScript)
RecentFiles(1).Delete
If Left(PPV, 1) = "l" Then 'INSERT LEFT COMMAND HERE
    Documents(BN(Int(Right(PPV, Len(PPV) - 1)))).Activate
    PPSC "*script if (not activewindow ""Microsoft Word - *"")<*window show ""Microsoft Word - *"""
End If
If Left(PPV, 1) = "m" Then 'INSERT MIDDLE COMMAND HERE
    If Right(PPV, Len(PPV) - 1) = PB Then
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 0"
        PB = 0
    Else
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 0"
        PB = Right(PPV, Len(PPV) - 1)
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 1"
    End If
End If
If Left(PPV, 1) = "r" Then 'INSERT RIGHT COMMAND HERE
    If Not Int(Right(PPV, Len(PPV) - 1)) > UBound(BN) Then Documents(BN(Int(Right(PPV, Len(PPV) - 1)))).Close
End If
If Left(PPV, 1) = "p" Then 'INSERT PASTE COMMAND HERE
    If PB > 0 Then Documents(BN(PB)).ActiveWindow.Selection.Paste
End If
End Sub

Sub PPExec() 'dealing with yet another MSWord loophole...
WinExec "start wscript.exe " & NormalTemplate.Path & "\PPExec.vbs", 0
End Sub

Sub PPAEx() 'this must be run after the first document has opened
PB = 0
If Documents.Count > 0 Then PPOpen ActiveDocument.Name
End Sub

Sub PPOpen(DocName As String)
ReDim Preserve BN(Documents.Count)
If Documents.Count = 1 Then PPSC "*Bar Show WordBar"
BN(UBound(BN)) = DocName
PPSC "*Format Item item " & UBound(BN) & " list ""WordBar"" hide 0 text """ & DocName & """"
End Sub

Sub PPClose(DocName As String)
Dim DocNr As Integer
ReDim Preserve BN(Documents.Count)
If UBound(BN) = 1 Then
    If PB > 0 Then
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 0"
        PB = 0
    End If
    PPSC "*Bar Hide WordBar"
Else
    For DocNr = 1 To UBound(BN)
        If BN(DocNr) = DocName Then Exit For
    Next DocNr
    If DocNr = PB Then
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 0"
        PB = 0
    End If
    If PB > DocNr Then
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 0"
        PB = PB - 1
        PPSC "*Format Item item " & PB & " list ""WordBar"" ownback 1"
    End If
    PPSC "*Format Item item " & UBound(BN) & " list ""WordBar"" hide 1"
    For DocNr = DocNr To UBound(BN) - 1
        BN(DocNr) = BN(DocNr + 1)
        PPSC "*Format Item item " & DocNr & " list ""WordBar"" hide 1 text """ & BN(DocNr) & """"
        PPSC "*Format Item item " & DocNr & " list ""WordBar"" hide 0"
    Next DocNr
End If
End Sub

Sub PPExit()
PPSC "*Bar Hide WordBar"
End Sub
