#include <windows.h>

#define V_SIZE 64 //that should be enough
static char ZAstr[V_SIZE];

static HWND g_hwndPowerPro;

 typedef struct tagPProServices {
void (*ErrMessage)(LPSTR, LPSTR);
BOOL (*MatchCaption)(HWND, LPSTR);
HWND (*FindMatchingWindow)(LPSTR,BOOL);
BOOL (*IsRolled)(HWND hw);
BOOL (*IsTrayMinned)(HWND hw);
void (*GetExeFullPath)(HWND hw, LPSTR szt);
void (*RollUp)(HWND hw);
void (*TrayMin)(HWND hw);
void (*SendKeys)(LPSTR sz);
BOOL (*EvalExpr)(LPSTR sz, LPSTR szo);
void (*Debug)(LPSTR s1, LPSTR s2,LPSTR s3, LPSTR s4, LPSTR s5, LPSTR s6);
LPSTR (*AllocTemp)(UINT leng);
void (*ReturnString)(LPSTR sz, LPSTR* szargs);
LPSTR (*GetVarAddr)(LPSTR var);
LPSTR (*SetVar)(LPSTR var, LPSTR val);
void (*IgnoreNextClip)();
 }
PPROSERVICES;

 BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD dwReason, LPVOID lpvReserved) {
if(dwReason==DLL_PROCESS_ATTACH) {g_hwndPowerPro=FindWindow("PowerProMain",NULL);}
else if(dwReason==DLL_PROCESS_DETACH) { /*detaching process*/ }
 return TRUE;}


BOOL CALLBACK enumChild(HWND hwnd, LPARAM lparam) {
char class[V_SIZE];
char name[V_SIZE];
HWND wh;

strcpy(ZAstr,"");
GetClassName(hwnd,class,V_SIZE);
GetWindowText(hwnd,name,V_SIZE);
if (lparam==1 && !strcmp(class,"Static") && !strcmp(name,"Bytes received")) {
	wh=GetWindow(hwnd,GW_HWNDNEXT);
	GetWindowText(wh,ZAstr,V_SIZE);
	return(FALSE);
}
if (lparam==2 && !strcmp(class,"Static") && !strcmp(name,"Bytes sent")) {
	wh=GetWindow(hwnd,GW_HWNDNEXT);
	GetWindowText(wh,ZAstr,V_SIZE);
	return(FALSE);
}
if (lparam==3 && !strcmp(class,"Button") && !strcmp(name,"Lock status")) {
	wh=GetWindow(hwnd,GW_HWNDNEXT);
	GetWindowText(wh,ZAstr,V_SIZE);
	return(FALSE);
}
return(TRUE);
 }


 _declspec(dllexport) void get_in(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;

if (nargs!=0) {
	(ppsv->ErrMessage)("error: za.get_in takes no arguments","");
	return;
}

wh=FindWindow("ZAFrameWnd",NULL);
if (wh!=0) {
	SendMessage(wh,WM_COMMAND,103,0);
	SendMessage(wh,WM_COMMAND,103,0);
	EnumChildWindows(wh,&enumChild,1);
	(ppsv->ReturnString)(ZAstr,szargs);
}
 }


 _declspec(dllexport) void get_out(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;

if (nargs!=0) {
	(ppsv->ErrMessage)("error: za.get_out takes no arguments","");
	return;
}

wh=FindWindow("ZAFrameWnd",NULL);
if (wh!=0) {
	SendMessage(wh,WM_COMMAND,103,0);
	SendMessage(wh,WM_COMMAND,103,0);
	EnumChildWindows(wh,&enumChild,2);
	(ppsv->ReturnString)(ZAstr,szargs);
}
 }


_declspec(dllexport) void get_lock(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;

if (nargs!=0) {
	(ppsv->ErrMessage)("error: za.get_lock takes no arguments","");
	return;
}

wh=FindWindow("ZAFrameWnd",NULL);
if (wh!=0) {
	EnumChildWindows(wh,&enumChild,3);
	if (ZAstr[0]==0) {
		SendMessage(wh,WM_COMMAND,105,0);
		SendMessage(wh,WM_COMMAND,105,0);
		EnumChildWindows(wh,&enumChild,3);
	}
	if (!strncmp(ZAstr,"The Internet is open.",21)) {strcpy(ZAstr,"0");}
	if (!strncmp(ZAstr,"The Internet is locked.",23)) {strcpy(ZAstr,"1");}
	if (!strncmp(ZAstr,"The Emergency Internet Lock is engaged.",39)) {strcpy(ZAstr,"2");}
	(ppsv->ReturnString)(ZAstr,szargs);
}
 }


_declspec(dllexport) void switch_lock(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;

if (nargs!=0) {
	(ppsv->ErrMessage)("error: za.switch_lock takes no arguments","");
	return;
}

wh=FindWindow("ZAFrameWnd",NULL);
if (wh!=0) {
	SendMessage(wh,WM_COMMAND,126,0);
}
 }
