#if ! defined( POWERPRO_PLUGIN_PPAU3_HEADER )


//*************************************************************************************
//Don't want the windows sockets stuff so I can use send and shutdown
//Copy of windows.h without socket

#define WIN32_LEAN_AND_MEAN

#pragma comment(linker, "/opt:NOWIN98")
#include <windows.h>
//#include "..\Common\PowerProDefines.h"


#define POWERPRO_PLUGIN_PPAU3_HEADER

//3.7.01
typedef struct tagPProServices
{
	void (*ErrMessage)(LPSTR, LPSTR);
	BOOL  (*MatchCaption)(HWND, LPSTR);
	HWND  (*FindMatchingWindow)(LPSTR,BOOL);
	BOOL  (*IsRolled)(HWND hw);
	BOOL  (*IsTrayMinned)(HWND hw);
	void  (*GetExeFullPath)(HWND hw, LPSTR szt);
	void  (*RollUp)(HWND hw);
	void  (*TrayMin)(HWND hw);
	void  (*SendKeys)(LPSTR sz);
	BOOL  (*EvalExpr)(LPSTR sz, LPSTR szo);
	void  (*Debug)(LPSTR sz1, LPSTR sz2,LPSTR sz3, LPSTR sz4, LPSTR sz5, LPSTR sz6);
	LPSTR (*AllocTemp)(UINT leng);
    void  (*ReturnString)(LPSTR sz, LPSTR* szargs);
	LPSTR (*GetVarAddr)(LPSTR var);
	LPSTR (*SetVar)(LPSTR var, LPSTR val);
	void  (*IgnoreNextClip)();
	void  (*Show)(HWND h);
	void  (*RunCmd)(LPSTR szCmd, LPSTR szParam, LPSTR szWork);
	BOOL  (*InsertStringForBar)( LPSTR szStr, LPSTR szCmd);
	void  (*ResetFocus)();
	HWND  (*NoteOpen)(LPSTR szFile, LPSTR szKeyWords);
	BOOL  (*PumpMessages)();
}
PPROSERVICES;

#define PP_VAR_SIZE 531

#define PP_PLUGIN_RET  (*szArgs)
#define PP_PLUGIN_ARG1 (*(szArgs+1))
#define PP_PLUGIN_ARG2 (*(szArgs+2))
#define PP_PLUGIN_ARG3 (*(szArgs+3))
#define PP_PLUGIN_ARG4 (*(szArgs+4))
#define PP_PLUGIN_ARG5 (*(szArgs+5))
#define PP_PLUGIN_ARG6 (*(szArgs+6))
#define PP_PLUGIN_ARG7 (*(szArgs+7))
#define PP_PLUGIN_ARG8 (*(szArgs+8))
#define PP_PLUGIN_ARG9 (*(szArgs+9))

#ifdef __cplusplus

extern "C"
{
_declspec(dllexport) void error_dialog_on(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void error_dialog_off(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);


_declspec(dllexport) void init(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void autoitsetoption(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void blockinput(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void cdtray(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void clipget(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void clipput(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlclick(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlcommand(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controllistview(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controldisable(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlenable(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlfocus(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgetfocus(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgethandle(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgetposx(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgetposy(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgetposheight(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgetposwidth(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlgettext(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlhide(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlmove(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlsend(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlsettext(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void controlshow(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void drivemapadd(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void drivemapdel(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void drivemapget(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void inidelete(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void iniread(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void iniwrite(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void isadmin(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mouseclick(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mouseclickdrag(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mousedown(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mousegetcursor(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mousegetposx(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mousegetposy(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mousemove(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mouseup(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void mousewheel(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void opt(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void pixelchecksum(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void pixelgetcolor(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void pixelsearch(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void processclose(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void processexists(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void processsetpriority(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void processwait(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void processwaitclose(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void regenumkey(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void regenumval(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void regread(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void regwrite(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void run(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void runasset(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void runwait(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void send(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void shutdown(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void sleep(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void statusbargettext(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void tooltip(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winactivate(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winactive(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winclose(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winexists(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetcaretposx(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetcaretposy(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetclasslist(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetclientsizeheight(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetclientsizewidth(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingethandle(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetposx(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetposy(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetposheight(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetposwidth(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetprocess(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingetstate(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingettext(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void wingettitle(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winkill(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winmenuselectitem(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winminimizeall(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winminimizeallundo(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winmove(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winsetontop(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winsetstate(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winsettitle(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winsettrans(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winwait(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winwaitactive(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winwaitclose(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void winwaitnotactive(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

//not in header file!!!

_declspec(dllexport) void regdeleteval(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

//not in header file!!!

_declspec(dllexport) void regdeletekey(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);


}

#endif // __cplusplus



#endif //  ! defined( POWERPRO_PLUGIN_PPAU3_HEADER )
