#if !defined(BYTEBLOCK_DATA_C_HEADER)

#define BYTEBLOCK_DATA_C_HEADER

#include <windows.h>

struct ByteBlockData
{
 BYTE* pbData;
 INT   iCapacity;
 INT   iLen;    
 BOOL  bIsPlainString;
};

//////////////////////////////////////////////////////////////////////////

struct BYTEBLOCK_HANDLE_SERVICES
{
 BOOL           (* bFreeSpace)  ();
 struct ByteBlockData* (* get)  (LPSTR, PPROSERVICES*);
 BYTE*          (*add)          (BYTE*, INT, INT, PPROSERVICES*, LPSTR);
 BOOL           (* remove)      (LPSTR, PPROSERVICES*);
 BOOL           (* modify)      (LPSTR, INT, INT, BYTE*, PPROSERVICES*);
};                                              

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
                      // used by C++ source code
#endif

_declspec(dllexport)  struct BYTEBLOCK_HANDLE_SERVICES* getByteBlockWithHandleServices();

#ifdef __cplusplus
}
#endif

#endif // !defined(BYTEBLOCK_DATA_C_HEADER)
