#if !defined(BINARY_FORMAT_INTERNAL_HEADER_C_HEADER)

#define BINARY_FORMAT_INTERNAL_HEADER_C_HEADER

#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include "..\PowerProDefines.h"
//#include "..\..\..\PowerProDefines.h"

struct ByteBlockData
{
 BYTE* pbData;
 INT   iCapacity;
 INT   iLen;    
 BOOL  bIsPlainString;
 INT   iRefCnt;
};

BOOL BBargs_get(IN LPSTR lpFuncName, IN LPSTR pszReturn, IN UINT nargs, IN UINT nReqToBeBB, IN LPSTR* szArgs, 
                IN PPROSERVICES* ppsv, OUT struct ByteBlockData*  byteBlockData[]);

BOOL BBargs_CheckZeroLen(IN LPSTR lpFuncName, IN LPSTR pszReturn, IN UINT nargs, 
                         IN PPROSERVICES* ppsv, IN struct ByteBlockData*  byteBlockData[]);


void BBargs_clear(IN UINT nargs, struct ByteBlockData*  byteBlockData[]);

BOOL bIsByteBlock(IN struct ByteBlockData* pByteBlockData, IN LPSTR pszArg, 
                  IN LPSTR lpFuncName, IN LPSTR pszReturn, IN PPROSERVICES* ppsv);

/*
INT getByteBlockSize(IN LPSTR pszVarName, LPSTR lpFuncName, IN PPROSERVICES* ppsv, 
                     IN LPSTR pszReturn);
BOOL 
makeByteBlockFromVarName(IN LPSTR lpFuncName, IN LPSTR pszVarName, 
                         IN LPSTR pszByteBlockIn, IN INT nByteBlockSizeReq, 
                         IN PPROSERVICES* ppsv, IN LPSTR pszReturn, 
                         LPSTR* ppszAddrByteBlockDataBuff);


BOOL bIsByteBlockErr(IN LPSTR lpFuncName, IN LPSTR pszVarName, IN PPROSERVICES* ppsv, IN LPSTR pszReturn);
*/


#endif // !defined(BINARY_FORMAT_INTERNAL_HEADER_C_HEADER)
