#if !defined(BYTEBLOCK_C_HEADER)

#define BYTEBLOCK_C_HEADER

#define WIN32_LEAN_AND_MEAN

#include <windows.h>
//#include "..\..\..\PowerProDefines.h"
#include "..\PowerProDefines.h"

#ifdef PPBINARY_EXPORTS
#define PPBINARY_API __declspec(dllexport)
#else
#define PPBINARY_API __declspec(dllimport)
#endif

//////////////////////////////////////////////////////////////////////////

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
              // used by C++ source code
#endif

struct BYTEBLOCK_INVAR_SERVICES
{
 BOOL  (* makeByteBlock)         (LPSTR, INT, BYTE*, INT, PPROSERVICES*, BYTE**);
 INT   (* getCurrSizeVarBuff)    (LPSTR, PPROSERVICES* );
 BYTE* (* getByteBlockProperties)(LPSTR, INT*);
 void  (* makeByteBlockHeader)   (LPSTR, INT);
 BOOL  (* setByteBlockCount)     (LPSTR, INT);  
};

PPBINARY_API struct BYTEBLOCK_INVAR_SERVICES* getByteBlockInVarServices();

#ifdef __cplusplus
}
#endif

#endif // !defined(BYTEBLOCK_C_HEADER)
