#if ! defined( POWERPRO_PLUGIN_PPSERVICES_HEADER )

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// ppRegistry: a PowerPro Plugin to access the registry
// version 1.17beta	 21 Dec 2002

// Copyright (C) 2002 by Alan Campbell
// All rights reserved
//
// Distribute freely, except: don't remove my name from the source or
// documentation (don't take credit for my work), mark your changes (don't
// get me blamed for your possible bugs), don't alter or remove this
// notice.

// No warranty of any kind, express or implied, is included with this
// software; use at your own risk, responsibility for damages (if any) to
// anyone resulting from the use of this software rests entirely with the
// user.
//
// Send bug reports, bug fixes, enhancements, requests, flames, etc., and
// I'll try to keep a version up to date.  I can be reached as follows:
//    ppRegistry@AlanCampbellLists.fsnet.co.uk

// And thanks to Marko Bozikovic: I stole this comment header, and the
// macros below, from him.

/////////////////////////////////////////////////////////////////////////////

#define POWERPRO_PLUGIN_PPSERVICES_HEADER

//#include "..\..\Common\stdafx.h"
#pragma comment(linker, "/opt:NOWIN98")
#pragma comment(linker, "/ALIGN:16384 ")

#include <windows.h>

#include "PowerProDefines.h"


#ifdef PPSERVICES_EXPORTS
#define PPSERVICES_API __declspec(dllexport)
#else
#define PPSERVICES_API __declspec(dllimport)
#endif

//#define PP_ARG(basePtr, n) ((LPSTR) basePtr + sizeof(struct PowerProServiceRequest) + 4 + (PP_VAR_SIZE + 1) * n)
//#define PP_RET(basePtr)    ((LPSTR) basePtr + sizeof(struct PowerProServiceRequest) + 4)
/*
LPSTR 
getPowerProServiceRequestAppendage(struct PowerProServiceRequest* pPowerProServiceRequest, 
                                   UINT uiMember);
*/

#define PP_STR_ARG(P_BASE_PTR, OFFSET_MEMBER) ((P_BASE_PTR->ad[OFFSET_MEMBER].uiOff  && \
                                                P_BASE_PTR->ad[OFFSET_MEMBER].dwLen) ? \
                                                 (((LPSTR) P_BASE_PTR) + P_BASE_PTR->ad[OFFSET_MEMBER].uiOff) : "")

#define PP_STR_ARG_PRESENT(P_BASE_PTR, OFFSET_MEMBER) (P_BASE_PTR->ad[OFFSET_MEMBER].uiOff && \
                                                       P_BASE_PTR->ad[OFFSET_MEMBER].dwLen) 

#define MSG_TO_SERVICE_PLUGIN_TO_GET_DWORD_RESULT      WM_USER + 505
#define MSG_TO_SERVICE_PLUGIN_TO_GET_STRING_RESULT_LEN WM_USER + 506

#define ARG_DATA_CNT 4

enum PowerproServType 
{

 ppServiceNone =                 1,
 ppServiceGetVarSize =           2,
 ppServiceVarExists =            3,
 ppServiceGetVar =               4,
 ppServiceSetVar =               5,
 ppServiceGetCurrentDir =        6,
 ppServiceMatchCaption  =        7,
 ppServiceFindMatchingWindow =   8,
 ppServiceEvalExpr =             9,
 ppServiceIsRolled =             10,
 ppServiceIsTrayMinned =         11,
 ppServiceEncodeFloat =          12,
 ppServiceDecodeFloat =          13
};

struct ArgData
{
 union {DWORD dw; UINT uiOff;}; 
 DWORD dwLen;
};


struct PowerProServiceRequest
{
 enum PowerproServType  ppServType;
 struct ArgData ad[ARG_DATA_CNT];
 double dblArg;
};

/*
struct PowerProServiceRequest
{
 enum PowerproServType  ppServType;
 union {DWORD dwArg1; UINT uiOffset1; double dblArg1;};
 union {DWORD dwArg2; UINT uiOffset2;};
 union {DWORD dwArg3; UINT uiOffset3;};
 union {DWORD dwArg4; UINT uiOffset4;}; 
};
*/
#define FILE_MAP_NAME "PowerProServicesMappedFile"


#endif //  ! defined( POWERPRO_PLUGIN_PPSERVICES_HEADER )

