#if !defined(PPUNICODESERVICES_HANDLE_COLLECTION_C_HEADER)

#define PPUNICODESERVICES_HANDLE_COLLECTION_C_HEADER

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
//#include "..\..\PowerProDefines.h"
#include "..\PowerProDefines.h"

#ifdef PPUNICODE_EXPORTS
#define PPUNICODE_API __declspec(dllexport)
#else
#define PPUNICODE_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
                      // used by C++ source code
#endif

struct PPUNICODESERVICES
{
 BOOL   (* bFreeSpace)();
 WCHAR* (* get)       (IN LPSTR);
 BOOL   (* add)       (IN WCHAR*, OUT LPSTR, PPROSERVICES*);
 BOOL   (* remove)    (IN LPSTR);
 BOOL   (* modify)    (IN WCHAR*, IN LPSTR, PPROSERVICES*);
 BOOL   (* addmake)   (IN WCHAR*, OUT LPSTR, PPROSERVICES*);
 INT    (* getsize)   (IN LPSTR);
/*
#if PP_REF_COUNTING == 1
 void   (* refAdd)    (IN LPSTR);
 BOOL   (* refRemove) (IN LPSTR);
#endif
*/
};                                              


PPUNICODE_API struct PPUNICODESERVICES* getUnicodeServices();

#ifdef __cplusplus
}
#endif


#endif // #if !defined(PPUNICODESERVICES_HANDLE_COLLECTION_C_HEADER)