#if !defined(VEC_C_HEADER)

#define VEC_C_HEADER

#include <windows.h>
//#include "..\PowerProDefines.h"
#include "..\..\Common\PowerProDefines.h"


#ifdef PPVEC_EXPORTS
#define PPVEC_API __declspec(dllexport)
#else
#define PPVEC_API __declspec(dllimport)
#endif

//////////////////////////////////////////////////////////////////////////

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
              // used by C++ source code
#endif


typedef struct tagVecServices
{
    LONG (*vec_length)(LPSTR);
    LONG (*vec_capacity)(LPSTR);
    BOOL (*vec_exists)(LPSTR);
    BOOL (*vec_get)(LPSTR, INT, LPSTR*);
    BOOL (*vec_set)(LPSTR, INT, LPSTR);
    void (*vec_create)(INT, INT, INT, LPSTR);
    BOOL (*vec_grows)(LPSTR);
    void (*vec_2d_create)(INT, INT, INT,  LPSTR);
//    BOOL (*vec_2d_get)(LPSTR, INT, INT, LPSTR*);
//    BOOL (*vec_2d_set)(LPSTR, INT, INT, LPSTR);

} VECSERVICES;


PPVEC_API VECSERVICES* getVecServices();

#ifdef __cplusplus
}
#endif

#endif // !defined(VEC_C_HEADER)
