#include <windows.h>
#include "gireventlib.h"

static HWND g_hwndPowerPro;

 BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD dwReason, LPVOID lpvReserved) {
if(dwReason==DLL_PROCESS_ATTACH) {g_hwndPowerPro=FindWindow("PowerProMain",NULL);}
else if(dwReason==DLL_PROCESS_DETACH) { /*detaching process*/ }
 return TRUE;}

 _declspec(dllexport) void send_event(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs) {
HINSTANCE h;
t_gir_send_event_easy gsee;
int ret;
int dev;

if (nargs!=2) {
	strcpy(*szargs,"this service needs two arguments");
	return;
}
dev=atoi(*(szargs+1));
if (dev==0 || *(szargs+2)[0]==0) {
	strcpy(*szargs,"invalid arguments");
	return;
}

h=LoadLibrary("gireventlib.dll");
if (h==NULL) {
	strcpy(*szargs,"gireventlib.dll not found");
	return;
}
gsee=(t_gir_send_event_easy)GetProcAddress(h, "gir_send_event_easy");
if (gsee==NULL) {
	strcpy(*szargs,"gir_send_event_easy not found in gireventlib.dll");
	FreeLibrary(h);
	return;
}

ret=gsee(*(szargs+2),dev,"","","");
if (ret==-1) {strcpy(*szargs,"Girder is not running");}
else if (ret==-2) {strcpy(*szargs,"Girder input disabled");}
else if (ret==1) {strcpy(*szargs,"Success");}
else {strcpy(*szargs,"unknown error - Girder may not be running");}
FreeLibrary(h);

 }
