// Girder Event Library
// November 10th, 2002
// Copyright 2002 (c) Ron Bessems

// note; this libary is not meant to replace plugins, its just meant to easily send
// events from the commandline or a programming language that does not support
// making dlls.


// The return value of both functions are as follows:

// -1 : Girder is not running, event not sent
// -2 : Input devices not enabled, event not sent
// 1  : Event sent successfully.

 

#ifndef _INC_GIREVENTLIB
#define _INC_GIREVENTLIB


#ifdef __cplusplus
extern "C" {
#endif


typedef int   (__stdcall *t_gir_send_event)      ( char * event, int device, char *pld[], int pldcnt, void *binpld, int binlen);
typedef int   (__stdcall *t_gir_send_event_easy) ( char * event, int device, char *pld1,  char* pld2, char *pld3);

int __stdcall gir_send_event      ( char * event, int device, char *pld[], int pldcnt, void *binpld, int binlen);
int __stdcall gir_send_event_easy ( char * event, int device, char *pld1,  char* pld2, char *pld3);

#ifdef __cplusplus
}
#endif


#endif
