#if ! defined( POWERPRO_PLUGIN_PPAU3_HEADER )


//*************************************************************************************
//Don't want the windows sockets stuff so I can use send and shutdown
//Copy of windows.h without socket

#define WIN32_LEAN_AND_MEAN

#pragma comment(linker, "/opt:NOWIN98")
#include <windows.h>
//#include "..\..\Common\PowerProDefines.h"


#define POWERPRO_PLUGIN_PPAU3_HEADER

//3.7.01
typedef struct tagPProServices
{
	void (*ErrMessage)(LPSTR, LPSTR);
	BOOL  (*MatchCaption)(HWND, LPSTR);
	HWND  (*FindMatchingWindow)(LPSTR,BOOL);
	BOOL  (*IsRolled)(HWND hw);
	BOOL  (*IsTrayMinned)(HWND hw);
	void  (*GetExeFullPath)(HWND hw, LPSTR szt);
	void  (*RollUp)(HWND hw);
	void  (*TrayMin)(HWND hw);
	void  (*SendKeys)(LPSTR sz);
	BOOL  (*EvalExpr)(LPSTR sz, LPSTR szo);
	void  (*Debug)(LPSTR sz1, LPSTR sz2,LPSTR sz3, LPSTR sz4, LPSTR sz5, LPSTR sz6);
	LPSTR (*AllocTemp)(UINT leng);
    void  (*ReturnString)(LPSTR sz, LPSTR* szargs);
	LPSTR (*GetVarAddr)(LPSTR var);
	LPSTR (*SetVar)(LPSTR var, LPSTR val);
	void  (*IgnoreNextClip)();
	void  (*Show)(HWND h);
	void  (*RunCmd)(LPSTR szCmd, LPSTR szParam, LPSTR szWork);
	BOOL  (*InsertStringForBar)( LPSTR szStr, LPSTR szCmd);
	void  (*ResetFocus)();
	HWND  (*NoteOpen)(LPSTR szFile, LPSTR szKeyWords);
	BOOL  (*PumpMessages)();
    BOOL (*RegForConfig)(void ( *callback )(LPSTR szList), BOOL bReg );  //not implemented
	void (*SetPreviousFocus)(HWND h );
	UINT (*SetDebug)(LPSTR sz,LPSTR sz2 );
	UINT (*ScriptCancel)(LPSTR sz );
	void (*GetCurrentDir)(HWND h,LPSTR szt);
    void (*RegisterNonModal)(HWND h, BOOL b);
    UINT (*GetVarSize)(LPSTR szvar);
    union
    {
//version >= 4.8.07S
	 BOOL (*RegisterSigOld)(BOOL b, LPSTR sig, LPSTR sig2, LPSTR szPlugName,
				 void (*callback)(LPSTR sz), LPSTR szGet, LPSTR szSet,LPSTR szDo );
     BOOL (*RegisterLocalFree)(BOOL b, LPSTR sig, void (*callback)(LPSTR sz));
    };
	void (*FreeIfHandle)(LPSTR sz); 
    int (*LastMouse)(UINT u);
    BOOL (*RegisterSig)(BOOL b, LPSTR sig, LPSTR sig2, LPSTR szPlugName,
                                          void (*callback)(LPSTR sz), LPSTR szGet, LPSTR szSet,LPSTR szDo, LPSTR szDoSet);
    void (*ReturningFreeableHandle)();
    LPSTR (*GetStaticVarAddr)(LPSTR szName, LPSTR szScript);
    BOOL (*SetStaticVar)(LPSTR szName, LPSTR szScript, LPSTR szVal, BOOL bCreate);
    HWND (*ActiveMenu)(LPSTR szCap, LPSTR szSw);
    void (*SaveClip)(LPSTR szFileName, BOOL bTextOnly, BOOL bVerbose);
    void (*LoadClip)(LPSTR szFileName, BOOL bTextOnly, BOOL bVerbose);
    LPSTR (*EncodeFloat)(double x, LPSTR szBuff);
    double (*DecodeFloat)(LPSTR szBuff);
    void GetCaretPosScreen(HWND h, POINT * pt);
}
PPROSERVICES;

#define PP_VAR_SIZE 531

#define PP_PLUGIN_RET  (*szArgs)
#define PP_PLUGIN_ARG1 (*(szArgs+1))
#define PP_PLUGIN_ARG2 (*(szArgs+2))
#define PP_PLUGIN_ARG3 (*(szArgs+3))
#define PP_PLUGIN_ARG4 (*(szArgs+4))
#define PP_PLUGIN_ARG5 (*(szArgs+5))
#define PP_PLUGIN_ARG6 (*(szArgs+6))
#define PP_PLUGIN_ARG7 (*(szArgs+7))
#define PP_PLUGIN_ARG8 (*(szArgs+8))
#define PP_PLUGIN_ARG9 (*(szArgs+9))

#define PPSERVICE_DECLARE(service_name) \
     void service_name(LPSTR szv, LPSTR szx, \
	 int (*GetVar)(LPSTR szVar, LPSTR szVal), \
	 void (*SetVar)(LPSTR szVar, LPSTR szVal), DWORD* pFlags, \
     UINT nargs, LPSTR* szArgs, \
     PPROSERVICES* ppsv)


#ifdef __cplusplus

extern "C"
{
_declspec(dllexport)  PPSERVICE_DECLARE(error_dialog_on);

_declspec(dllexport)  PPSERVICE_DECLARE(error_dialog_off);

_declspec(dllexport)  PPSERVICE_DECLARE(version);


_declspec(dllexport)  PPSERVICE_DECLARE(init);

_declspec(dllexport)  PPSERVICE_DECLARE(autoitsetoption);

_declspec(dllexport)  PPSERVICE_DECLARE(blockinput);

_declspec(dllexport)  PPSERVICE_DECLARE(cdtray);

_declspec(dllexport)  PPSERVICE_DECLARE(clipget);

_declspec(dllexport)  PPSERVICE_DECLARE(clipput);

_declspec(dllexport)  PPSERVICE_DECLARE(controlclick);

_declspec(dllexport)  PPSERVICE_DECLARE(controlcommand);

_declspec(dllexport)  PPSERVICE_DECLARE(controllistview);

_declspec(dllexport)  PPSERVICE_DECLARE(controldisable);

_declspec(dllexport)  PPSERVICE_DECLARE(controlenable);

_declspec(dllexport)  PPSERVICE_DECLARE(controlfocus);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgetfocus);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgethandle);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgetposx);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgetposy);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgetposheight);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgetposwidth);

_declspec(dllexport)  PPSERVICE_DECLARE(controlgettext);

_declspec(dllexport)  PPSERVICE_DECLARE(controlhide);

_declspec(dllexport)  PPSERVICE_DECLARE(controlmove);

_declspec(dllexport)  PPSERVICE_DECLARE(controlsend);

_declspec(dllexport)  PPSERVICE_DECLARE(controlsettext);

_declspec(dllexport)  PPSERVICE_DECLARE(controlshow);

_declspec(dllexport)  PPSERVICE_DECLARE(drivemapadd);

_declspec(dllexport)  PPSERVICE_DECLARE(drivemapdel);

_declspec(dllexport)  PPSERVICE_DECLARE(drivemapget);

_declspec(dllexport)  PPSERVICE_DECLARE(inidelete);

_declspec(dllexport)  PPSERVICE_DECLARE(iniread);

_declspec(dllexport)  PPSERVICE_DECLARE(iniwrite);

_declspec(dllexport)  PPSERVICE_DECLARE(isadmin);

_declspec(dllexport)  PPSERVICE_DECLARE(mouseclick);

_declspec(dllexport)  PPSERVICE_DECLARE(mouseclickdrag);

_declspec(dllexport)  PPSERVICE_DECLARE(mousedown);

_declspec(dllexport)  PPSERVICE_DECLARE(mousegetcursor);

_declspec(dllexport)  PPSERVICE_DECLARE(mousegetposx);

_declspec(dllexport)  PPSERVICE_DECLARE(mousegetposy);

_declspec(dllexport)  PPSERVICE_DECLARE(mousemove);

_declspec(dllexport)  PPSERVICE_DECLARE(mouseup);

_declspec(dllexport)  PPSERVICE_DECLARE(mousewheel);

_declspec(dllexport)  PPSERVICE_DECLARE(opt);

_declspec(dllexport)  PPSERVICE_DECLARE(pixelchecksum);

_declspec(dllexport)  PPSERVICE_DECLARE(pixelgetcolor);

_declspec(dllexport)  PPSERVICE_DECLARE(pixelsearch);

_declspec(dllexport)  PPSERVICE_DECLARE(processclose);

_declspec(dllexport)  PPSERVICE_DECLARE(processexists);

_declspec(dllexport)  PPSERVICE_DECLARE(processsetpriority);

_declspec(dllexport)  PPSERVICE_DECLARE(processwait);

_declspec(dllexport)  PPSERVICE_DECLARE(processwaitclose);

_declspec(dllexport)  PPSERVICE_DECLARE(regenumkey);

_declspec(dllexport)  PPSERVICE_DECLARE(regenumval);

_declspec(dllexport)  PPSERVICE_DECLARE(regread);

_declspec(dllexport)  PPSERVICE_DECLARE(regwrite);

_declspec(dllexport)  PPSERVICE_DECLARE(run);

_declspec(dllexport)  PPSERVICE_DECLARE(runasset);

_declspec(dllexport)  PPSERVICE_DECLARE(runwait);

_declspec(dllexport)  PPSERVICE_DECLARE(send);

_declspec(dllexport)  PPSERVICE_DECLARE(shutdown);

_declspec(dllexport)  PPSERVICE_DECLARE(sleep);

_declspec(dllexport)  PPSERVICE_DECLARE(statusbargettext);

_declspec(dllexport)  PPSERVICE_DECLARE(tooltip);

_declspec(dllexport)  PPSERVICE_DECLARE(winactivate);

_declspec(dllexport)  PPSERVICE_DECLARE(winactive);

_declspec(dllexport)  PPSERVICE_DECLARE(winclose);

_declspec(dllexport)  PPSERVICE_DECLARE(winexists);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetcaretposx);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetcaretposy);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetclasslist);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetclientsizeheight);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetclientsizewidth);

_declspec(dllexport)  PPSERVICE_DECLARE(wingethandle);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetposx);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetposy);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetposheight);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetposwidth);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetprocess);

_declspec(dllexport)  PPSERVICE_DECLARE(wingetstate);

_declspec(dllexport)  PPSERVICE_DECLARE(wingettext);

_declspec(dllexport)  PPSERVICE_DECLARE(wingettitle);

_declspec(dllexport)  PPSERVICE_DECLARE(winkill);

_declspec(dllexport)  PPSERVICE_DECLARE(winmenuselectitem);

_declspec(dllexport)  PPSERVICE_DECLARE(winminimizeall);

_declspec(dllexport)  PPSERVICE_DECLARE(winminimizeallundo);

_declspec(dllexport)  PPSERVICE_DECLARE(winmove);

_declspec(dllexport)  PPSERVICE_DECLARE(winsetontop);

_declspec(dllexport)  PPSERVICE_DECLARE(winsetstate);

_declspec(dllexport)  PPSERVICE_DECLARE(winsettitle);

_declspec(dllexport)  PPSERVICE_DECLARE(winsettrans);

_declspec(dllexport)  PPSERVICE_DECLARE(winwait);

_declspec(dllexport)  PPSERVICE_DECLARE(winwaitactive);

_declspec(dllexport)  PPSERVICE_DECLARE(winwaitclose);

_declspec(dllexport)  PPSERVICE_DECLARE(winwaitnotactive);

//not in header file!!!

_declspec(dllexport)  PPSERVICE_DECLARE(regdeleteval);

//not in header file!!!

_declspec(dllexport)  PPSERVICE_DECLARE(regdeletekey);


_declspec(dllexport)  PPSERVICE_DECLARE(version);

}

#endif // __cplusplus



#endif //  ! defined( POWERPRO_PLUGIN_PPAU3_HEADER )
