#if ! defined( POWERPRO_PLUGIN_PPAU3_HEADER )


//*************************************************************************************
//Don't want the windows sockets stuff so I can use send and shutdown
//Copy of windows.h without socket

#define WIN32_LEAN_AND_MEAN

#include <windows.h>
//#include "..\Common\PowerProDefines.h"


#define POWERPRO_PLUGIN_PPAU3_HEADER
#pragma comment(linker, "/opt:NOWIN98")

//3.7.01
typedef struct tagPProServices
{
	void (*ErrMessage)(LPSTR, LPSTR);
	BOOL  (*MatchCaption)(HWND, LPSTR);
	HWND  (*FindMatchingWindow)(LPSTR,BOOL);
	BOOL  (*IsRolled)(HWND hw);
	BOOL  (*IsTrayMinned)(HWND hw);
	void  (*GetExeFullPath)(HWND hw, LPSTR szt);
	void  (*RollUp)(HWND hw);
	void  (*TrayMin)(HWND hw);
	void  (*SendKeys)(LPSTR sz);
	BOOL  (*EvalExpr)(LPSTR sz, LPSTR szo);
	void  (*Debug)(LPSTR sz1, LPSTR sz2,LPSTR sz3, LPSTR sz4, LPSTR sz5, LPSTR sz6);
	LPSTR (*AllocTemp)(UINT leng);
    void  (*ReturnString)(LPSTR sz, LPSTR* szargs);
	LPSTR (*GetVarAddr)(LPSTR var);
	LPSTR (*SetVar)(LPSTR var, LPSTR val);
	void  (*IgnoreNextClip)();
	void  (*Show)(HWND h);
	void  (*RunCmd)(LPSTR szCmd, LPSTR szParam, LPSTR szWork);
	BOOL  (*InsertStringForBar)( LPSTR szStr, LPSTR szCmd);
	void  (*ResetFocus)();
	HWND  (*NoteOpen)(LPSTR szFile, LPSTR szKeyWords);
	BOOL  (*PumpMessages)();
}
PPROSERVICES;

#define PP_VAR_SIZE 531

#define PP_PLUGIN_RET  (*szArgs)
#define PP_PLUGIN_ARG1 (*(szArgs+1))
#define PP_PLUGIN_ARG2 (*(szArgs+2))
#define PP_PLUGIN_ARG3 (*(szArgs+3))
#define PP_PLUGIN_ARG4 (*(szArgs+4))
#define PP_PLUGIN_ARG5 (*(szArgs+5))
#define PP_PLUGIN_ARG6 (*(szArgs+6))
#define PP_PLUGIN_ARG7 (*(szArgs+7))
#define PP_PLUGIN_ARG8 (*(szArgs+8))
#define PP_PLUGIN_ARG9 (*(szArgs+9))

#ifdef __cplusplus

extern "C"
{
_declspec(dllexport) void error_dialog_on(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

_declspec(dllexport) void error_dialog_off(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

//not in header file!!!

_declspec(dllexport) void regdeleteval(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);

//not in header file!!!

_declspec(dllexport) void regdeletekey(LPSTR szv, LPSTR szx, BOOL (*GetVar)(LPSTR, LPSTR),
		void (*SetVar)(LPSTR, LPSTR), DWORD* pFlags,
		UINT nargs, LPSTR *szArgs, PPROSERVICES* ppsv);



//###end opening template segment####

}

#endif // __cplusplus



#endif //  ! defined( POWERPRO_PLUGIN_PPAU3_HEADER )
