#include <windows.h>

#define VAR_SIZE 532
static HWND g_hwndPowerPro;

 typedef struct tagPProServices {
void (*ErrMessage)(LPSTR, LPSTR);
BOOL (*MatchCaption)(HWND, LPSTR);
HWND (*FindMatchingWindow)(LPSTR,BOOL);
BOOL (*IsRolled)(HWND hw);
BOOL (*IsTrayMinned)(HWND hw);
void (*GetExeFullPath)(HWND hw, LPSTR szt);
void (*RollUp)(HWND hw);
void (*TrayMin)(HWND hw);
void (*SendKeys)(LPSTR sz);
BOOL (*EvalExpr)(LPSTR sz, LPSTR szo);
void (*Debug)(LPSTR s1, LPSTR s2,LPSTR s3, LPSTR s4, LPSTR s5, LPSTR s6);
LPSTR (*AllocTemp)(UINT leng);
void (*ReturnString)(LPSTR sz, LPSTR* szargs);
LPSTR (*GetVarAddr)(LPSTR var);
LPSTR (*SetVar)(LPSTR var, LPSTR val);
void (*IgnoreNextClip)();
 }
PPROSERVICES;

static int found;

 BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD dwReason, LPVOID lpvReserved) {
if(dwReason==DLL_PROCESS_ATTACH) {g_hwndPowerPro=FindWindow("PowerProMain",NULL);}
else if(dwReason==DLL_PROCESS_DETACH) { /*detaching process*/ }
 return TRUE;}


 long sendcmd(char *lpData, PPROSERVICES* ppsv) {
char cmd[24];
HWND G4Chwnd;
COPYDATASTRUCT cd;
	 
G4Chwnd=FindWindow("G4C_GUI4CLI",NULL);
if (G4Chwnd) {
	//I don't know whether the buffer size limits the size of commmands. I'm erring on the safe size, and this check makes sure that no oversized string will be passed to G4C.
	strcpy(cmd,"pp.getvar $$g4c.buffers");
	cd.lpData=cmd; 
	cd.cbData=24; 
	cd.dwData=1;
	SendMessage(G4Chwnd,WM_COPYDATA,0,(long)&cd);
	if (strlen(lpData)+1<atoi((ppsv->GetVarAddr)("_tmpg4cv"))) {
		(ppsv->SetVar)("_tmpg4cv","");
		cd.lpData=lpData; 
		cd.cbData=strlen(lpData)+1; 
		cd.dwData=1;
		//	cd.dwData = type;
		// type 0 - return immediately, execute command line afterwards
		// type 1 - execute command line, return $$RETCODE
		return(SendMessage(G4Chwnd,WM_COPYDATA,0,(long)&cd));
	} else {
		(ppsv->SetVar)("_tmpg4cv","");
		(ppsv->ErrMessage)("Gui4Cli's current buffer size is too small.","");
	}
} else {
	(ppsv->ErrMessage)("Gui4Cli is not loaded.","");
	return 0;
}
 }


//There's no point in checking whether the service is handed a valid variable name because G4C accepts some theoretically invalid names (.0var for example)
 _declspec(dllexport) void setvar(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
LPSTR cmd;

if (nargs==2) {
	if (**(szargs+1)!=0) {
		cmd=(ppsv->AllocTemp)(strlen(*(szargs+1))+strlen(*(szargs+2))+6);
		strcpy(cmd,*(szargs+1));
		strcat(cmd," = '");
		strcat(cmd,*(szargs+2));
		strcat(cmd,"'");
		sendcmd(cmd,ppsv);
	}
} else {(ppsv->ErrMessage)("g4c.setvar takes two arguments","");}
 }


 _declspec(dllexport) void getvar(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
LPSTR cmd;
LPSTR ret;

if (nargs==1) {
	cmd=(ppsv->AllocTemp)(strlen(*(szargs+1))+11);
	strcpy(cmd,"pp.getvar ");
	strcat(cmd,*(szargs+1));
	sendcmd(cmd,ppsv);
	ret=(ppsv->AllocTemp)(strlen((ppsv->GetVarAddr)("_tmpg4cv"))+1);
	strcpy(ret,(ppsv->GetVarAddr)("_tmpg4cv"));
	(ppsv->ReturnString)(ret,szargs);
} else {(ppsv->ErrMessage)("g4c.getvar takes one argument","");}
 }


 _declspec(dllexport) void triggerevent(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
LPSTR cmd;
long ret;

if (nargs==2) {
	cmd=(ppsv->AllocTemp)(strlen(*(szargs+1))+strlen(*(szargs+2))+18);
	strcpy(cmd,"pp.trigger '");
	strcat(cmd,*(szargs+1));
	strcat(cmd,"' '");
	strcat(cmd,*(szargs+2));
	strcat(cmd,"'");
	found=0;
	sendcmd(cmd,ppsv);
	if (found==0) {(ppsv->ErrMessage)("event not found","");}
} else {(ppsv->ErrMessage)("g4c.triggerevent takes two arguments","");}
 }

  _declspec(dllexport) void te_answer(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
if (nargs==1) {
	if (!strcmp(*(szargs+1),"found")) {found=1;}
}
 }


 _declspec(dllexport) void command(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
long err;

if (nargs==1) {
	err=sendcmd(*(szargs+1),ppsv);
	if (err) {(ppsv->ErrMessage)("Gui4Cli rejected this command.","");}
} else {(ppsv->ErrMessage)("g4c.command takes one argument","");}
 }
