//I didn't bother to use (*RunCmd) because I have to use SendMessage anyway.

#include <windows.h>

#define VAR_SIZE 532
static HWND g_hwndPowerPro;

 typedef struct tagPProServices {
void (*ErrMessage)(LPSTR, LPSTR);
BOOL (*MatchCaption)(HWND, LPSTR);
HWND (*FindMatchingWindow)(LPSTR,BOOL);
BOOL (*IsRolled)(HWND hw);
BOOL (*IsTrayMinned)(HWND hw);
void (*GetExeFullPath)(HWND hw, LPSTR szt);
void (*RollUp)(HWND hw);
void (*TrayMin)(HWND hw);
void (*SendKeys)(LPSTR sz);
BOOL (*EvalExpr)(LPSTR sz, LPSTR szo);
void (*Debug)(LPSTR s1, LPSTR s2,LPSTR s3, LPSTR s4, LPSTR s5, LPSTR s6);
LPSTR (*AllocTemp)(UINT leng);
void (*ReturnString)(LPSTR sz, LPSTR* szargs);
LPSTR (*GetVarAddr)(LPSTR var);
LPSTR (*SetVar)(LPSTR var, LPSTR val);
void (*IgnoreNextClip)();
 }
PPROSERVICES;

 BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD dwReason, LPVOID lpvReserved) {
if(dwReason==DLL_PROCESS_ATTACH) {g_hwndPowerPro=FindWindow("PowerProMain",NULL);}
else if(dwReason==DLL_PROCESS_DETACH) { /*detaching process*/ }
 return TRUE;}


 _declspec(dllexport) void open(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;
char str[VAR_SIZE];
COPYDATASTRUCT cd;
HWND childwh;

if (nargs<1 || nargs >2) {
	(ppsv->ErrMessage)("error: notes.open needs one or two arguments","");
	return;
}
if (strlen(*(szargs+1))>25000) { //This is an arbitrary limitation
		(ppsv->ErrMessage)("error: notes.open's first argument is too long","");
		return;
}

strcpy(str,"*note open settext \"notes.open placeholder\" ");
if (nargs==2) {
	if (strlen(*(szargs+2))+15<VAR_SIZE) {strcat(str,*(szargs+2));}
	else {
		(ppsv->ErrMessage)("error: notes.open's second argument is too long","");
		return;
	}
}
cd.dwData=1;
cd.cbData=strlen(str)+1;
cd.lpData=str;
SendMessage(g_hwndPowerPro,WM_COPYDATA,0,(LPARAM)&cd);

wh=FindWindow("PowerProNote",NULL);
childwh=GetWindow(wh,GW_CHILD);
GetWindowText(childwh,str,23); //23 is the exact size of the placeholder string
while (strcmp(str,"notes.open placeholder")) {
	wh=GetWindow(wh,GW_HWNDNEXT);
	if (wh==0) {
		(ppsv->ErrMessage)("error: notes.open can't find the note it tried to create","");
		return;
	}
	GetClassName(wh,str,14); //14 is the class name lenght +1
	if (!strcmp(str,"PowerProNote")) {
		childwh=GetWindow(wh,GW_CHILD);
		GetWindowText(childwh,str,24);
	}
}
SendMessage(childwh,WM_SETTEXT,0,(LPARAM)(LPCTSTR)*(szargs+1));

 }


 _declspec(dllexport) void cycle(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;
char wc[14];

if (nargs!=0) {
	(ppsv->ErrMessage)("error: notes.cycle takes no arguments","");
	return;
}

wh=GetForegroundWindow(); //I need ANY window handle...
wh=GetWindow(wh,GW_HWNDLAST);
GetClassName(wh,wc,14);
while (strcmp(wc,"PowerProNote")) {
	wh=GetWindow(wh,GW_HWNDPREV);
	if (wh==0) {return;}
	GetClassName(wh,wc,14);
}
SetForegroundWindow(wh);

 }


 _declspec(dllexport) void raise(LPSTR szv, LPSTR szx, BOOL(*GetVar)(LPSTR, LPSTR), void(*SetVar)(LPSTR, LPSTR), DWORD* pFlags, UINT nargs, LPSTR* szargs, PPROSERVICES* ppsv) {
HWND wh;
char wc[14];

if (nargs!=0) {
	(ppsv->ErrMessage)("error: notes.raise takes no arguments","");
	return;
}

wh=GetForegroundWindow();
wh=GetWindow(wh,GW_HWNDFIRST);
GetClassName(wh,wc,14);
while (strcmp(wc,"PowerProNote")) {
	wh=GetWindow(wh,GW_HWNDNEXT);
	if (wh==0) {return;}
	GetClassName(wh,wc,14);
}
SetWindowPos(wh,HWND_BOTTOM,0,0,0,0,SWP_NOSIZE|SWP_NOMOVE|SWP_NOACTIVATE);

wh=GetWindow(wh,GW_HWNDFIRST);
GetClassName(wh,wc,14);
while (strcmp(wc,"PowerProNote")) {
	wh=GetWindow(wh,GW_HWNDNEXT);
	if (wh==0) {return;}
	GetClassName(wh,wc,14);
}
SetForegroundWindow(wh);

 }
