/* MAX_PATH   (260) defined in stdlib.h */

/* UNCOMMENT BELOW TO MAKE ppBangX */
/* #define MAKE_ppBangX         ON */

/* #define WORKING_ON            ON */

#define DIRECTORYSIZE         260

#define DIRECTORYSIZE         260
#define MAXPPROBUFFER         530
#define USERNAMEMAX            64

#define VERSIONNUMBER         "2.2 beta"

#ifdef MAKE_ppBangX
   #define APPNAME            "ppBangX"
   #define PPRO_CLASSNAME     "PowerPrXMain"
   #define PPRO_PROGNAME      "PowerPrX"
#endif

#ifndef MAKE_ppBangX
   #define APPNAME            "ppBang"
   #define PPRO_CLASSNAME     "PowerProMain"
   #define PPRO_PROGNAME      "PowerPro"
#endif
#define APPNAMESECTION        "ppBang"

#define ppbKEYWORD            "ppb"
#define PPBKEYWORD2           "PPB"

/*#define DEBUG               1*/

/* PPBang Commands */
#define ISPPRORUNNING        "ispprorunning"      /* PPB_IsPProRunning */
#define SLEEP                "sleepms"            /* PPB_SleepMS(3000) */
#define SDPPRO               "shutdownppro"       /* PPB_ShutdownPPro */
#define STARTUPPPRO          "startupppro"        /* PPB_StartupPPro */
#define CLIPSET              "clipset="           /* PPB_ClipSet=my_text_to_end */
#define CLIPGETSETHISTORY    "clipgetsethistory"  /* PPB_ClipGetSetHistory */
#define MSGBOX               "msgbox"             /* PPB_MsgBox("Text","Caption") */
#define MSGOKCANCEL          "msgokcancel"        /* PPB_MsgOkCancel("Text","Caption") */
#define CMD1                 "cmd1="              /* PPB_CMD1= */
#define CMD2                 "cmd2="              /* PPB_CMD2= */
#define SCRIPT               ppbKEYWORD"."        /* PPB.YourScriptName */

#define ISPPRORUNNING2       "IsPProRunning"      /* PPB_IsPProRunning */
#define SLEEP2               "SleepMS"            /* PPB_SleepMS(3000) */
#define SDPPRO2              "ShutdownPPro"       /* PPB_ShutdownPPro */
#define STARTUPPPRO2         "StartupPPro"        /* PPB_StartupPPro */
#define CLIPSET2             "ClipSet="           /* PPB_ClipSet=my_text_to_end */
#define CLIPGETSETHISTORY2   "ClipGetSetHistory"  /* PPB_ClipGetSetHistory */
#define MSGBOX2              "MsgBox"             /* PPB_MsgBox("Text","Caption") */
#define MSGOKCANCEL2         "MsgOkCancel"        /* PPB_MsgOkCancel("Text","Caption") */
#define CMD1_info            "CMD1="              /* PPB_CMD1= */
#define CMD2_info            "CMD2="              /* PPB_CMD2= */
#define SCRIPT_info          PPBKEYWORD2"."       /* PPB.YourScriptName */

/* size is size of list below -8*6 */
#define CLIP_COPY      PPBKEYWORD2"_ShutdownPPro "PPBKEYWORD2"_IsPProRunning "PPBKEYWORD2"_SleepMS(millisec) "PPBKEYWORD2"_StartupPPro\r\n"PPBKEYWORD2"_MsgBox(\"Text\",\"Caption\")\r\n"PPBKEYWORD2"_MsgOkCancel(\"Text\",\"Caption\")\r\n"PPBKEYWORD2"_CMD1=*PowerProCommand1 "PPBKEYWORD2"_CMD2=*Clip text _file_  (any 2 powerpro commands, space before "PPBKEYWORD2"_CMD2 is important)\r\n"PPBKEYWORD2".YourScriptName anycharacters < builds & sends: .YourScriptName(??\"anycharacters\"?)\r\n"PPBKEYWORD2"_ClipSet=my_text_to_end"

#define N_ISPPRORUNNING       1
#define N_SLEEP               2
#define N_SDPPRO              3
#define N_STARTUPPPRO         4
#define N_CLIPSET             5
#define N_CLIPGETSETHISTORY   6
#define N_MSGBOX              7
#define N_MSGOKCANCEL         8
#define N_CMD1                9
#define N_CMD2                10
#define N_SCRIPT              11


/* PowerPro Commands */
#define PPROSDPPRO           "Shutdown PowerPro noconfirm"
#define PPROSDPPROCONFIRM    "Shutdown PowerPro"

/* Want to run:
   "C:\Program Files\PowerPro\PPBang.exe" PPB_ShutdownPPro PPB_StartupPPro
   OR
   "C:\Program Files\PowerPro\PPBang.exe" PPB_ShutdownPPro PPB_SleepMS(3000)
*/
#include <string.h>
#include <windows.h>
#include <shellapi.h>
#include <stdlib.h>         /* for atoi */

/* UINT uiTimeout =1; */
UINT uiTimeout =5000;

HWND g_hwndPowerPro;
LPDWORD lpdwResult;         /* This has to be here for some reason */

/* sizeof(szBuf) will return the exact size below */

char szBuf[MAXPPROBUFFER*2+2];
char szBufSave[MAXPPROBUFFER*2+2];
char szSleepMilliSec[50];
LPSTR lpszCmd ;
HWND hwndArgs(BOOL,LPSTR);

/********************************/
HWND hPproRunning(VOID) {
   return (FindWindow(PPRO_CLASSNAME,NULL));
}

/* FROM BRUCE
   p=strrchr(name, '.')
   if (!p || strcmpi(p,".lnk")!=0)
      strcat(dest, ".lnk");
*/


/********************************/
VOID vCleanUp(char *p1,char *pFind, char *pLookForParenthesis)
{   char *p;
   *p1=0;

#ifdef DEBUG
   MessageBox(NULL,szBuf,pFind,MB_OK | MB_TOPMOST );
   MessageBox(NULL,szBufSave,"vCleanUp 0 szBuf ",MB_OK | MB_TOPMOST );
#endif
   if(pLookForParenthesis==NULL)
   {   p=p1+lstrlen((LPSTR)pFind);
      for(;*p==' ';) p++;
   } else
   {   p=pLookForParenthesis;
      for(;*p;p++) if(*p==')') break;
      for(;*p==')' || *p==' ';) p++;
   }
#ifdef DEBUG
 MessageBox(NULL,p,"vCleanUp 1 p ",MB_OK | MB_TOPMOST );
   lstrcat((LPSTR)szBuf,p);
 MessageBox(NULL,szBuf,"vCleanUp 2 szBuf ",MB_OK | MB_TOPMOST );

   szBufSave[(UINT)p1-(UINT)szBuf]=0;
 MessageBox(NULL,szBufSave,"vCleanUp 3 szBufSave ",MB_OK | MB_TOPMOST );
   lstrcat((LPSTR)szBufSave,&szBufSave[(UINT)p-(UINT)szBuf]);
 MessageBox(NULL,szBufSave,"vCleanUp 3 szBufSave ",MB_OK | MB_TOPMOST );
#endif

#ifndef DEBUG
   lstrcat((LPSTR)szBuf,p);
   szBufSave[(UINT)p1-(UINT)szBuf]=0;
   lstrcat((LPSTR)szBufSave,&szBufSave[(UINT)p-(UINT)szBuf]);
#endif
}

#ifdef TEMPSAVE
VOID CleanUpCmdLn()
{   for (;*lpszCmd==' ';) ++lpszCmd;
    for (;lstrlen(lpszCmd) && *(lpszCmd+lstrlen(lpszCmd)-1)==' ';)
      *(lpszCmd+lstrlen(lpszCmd)-1)=0;
}
#endif

/********************************/
int WINAPI WinMain (HINSTANCE hInstance,
                    HINSTANCE hPrevInstance,
                    LPSTR lpszCmdLine,
                    int iCmdShow)
{   COPYDATASTRUCT cd;
   char      *p,*p1,*p2;
   INT       i, iCase;
   char      szJustShowCommand[3]="\0";
   LPSTR     lpBufTmp = 0L ;
   LPSTR     lpClip,lpClipBrd;

   UINT      uLenLpszCmdStart, uLenSzBufStart, uLenSzBufNow;
   LPSTR     lpszCmdHandle=0L;

   HGLOBAL   hBuf,hClipBrd;
   BOOL      bStartUpPPro;


   g_hwndPowerPro=hPproRunning();

#ifdef DEBUG
   itoa(sizeof(szBuf),szSleepMilliSec,10);
   MessageBox(NULL,"sizeof(szBuf)",szSleepMilliSec,MB_OK | MB_TOPMOST );
   itoa(lstrlen(lpszCmdLine),szSleepMilliSec,10);
   MessageBox(NULL,"lstrlen(lpszCmdLine)",szSleepMilliSec,MB_OK | MB_TOPMOST );
#endif

   /* If can't all fit into szBuf, then I'll save to a larger buffer */
   if((uLenLpszCmdStart=(UINT)lstrlen(lpszCmdLine))>sizeof(szBuf)-2)
   {   /* Note, lpszCmdLine will dissappear if held too long, ie during Sleep */
      if(NULL==(lpszCmdHandle=(LPSTR)GlobalAlloc(GPTR,(DWORD)uLenLpszCmdStart+2)))
      {   MessageBox(NULL,"Commandline exceeds 1060 char limit",szBuf,MB_OK | MB_TOPMOST );
         return -1;
      }
      lstrcpy(lpszCmdHandle,lpszCmd);
      lpszCmd=lpszCmdHandle;
   } else lpszCmd=(LPSTR)szBufSave;  /* Pointing to my char buffer */

   for (lpszCmd=lpszCmdLine;*lpszCmd==' ';) ++lpszCmd;
   /* If the commandline begins with /? return MessageBox Parameters */
   if(*lpszCmd=='/' && *(lpszCmd+1)=='?')
   {   lstrcpy(szJustShowCommand,"/?");
      lpszCmd=lpszCmd+2;
      for (;*lpszCmd==' ';) ++lpszCmd;
   }

#ifdef TEMPSAVE
   CleanUpCmdLn();
#endif

   bStartUpPPro=(*lpszCmd==0 && !*szJustShowCommand);

   lstrcpyn((LPSTR)szBuf,lpszCmd,sizeof(szBuf)-1);
   lstrcpy((LPSTR)szBufSave,(LPSTR)szBuf);

#ifdef TEMPSAVE
   MessageBox(NULL,szBufSave,"Commandline",MB_OK | MB_TOPMOST);
#endif


#ifdef TEMPSAVE
      itoa(sizeof(szBuf),szSleepMilliSec,10);
      MessageBox(NULL,"sizeof(szBuf)",szSleepMilliSec,MB_OK | MB_TOPMOST );
#endif

   uLenLpszCmdStart=(UINT)lstrlen(lpszCmd);
   uLenSzBufStart=(UINT)lstrlen((LPSTR)szBuf);
   strlwr(szBuf);

   for(;(uLenSzBufNow=lstrlen((LPSTR)szBuf));)
   {   iCase=0;
      if(szBuf==strstr(szBuf,ppbKEYWORD"_"ISPPRORUNNING))               iCase=N_ISPPRORUNNING;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"SLEEP))             iCase=N_SLEEP;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"SDPPRO))            iCase=N_SDPPRO;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"STARTUPPPRO))       iCase=N_STARTUPPPRO;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"CLIPSET))           iCase=N_CLIPSET;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"CLIPGETSETHISTORY)) iCase=N_CLIPGETSETHISTORY;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"MSGBOX))            iCase=N_MSGBOX;
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"MSGOKCANCEL))       iCase=N_MSGOKCANCEL;

      /* These cases must be last and assumes that PPB_ClipSet is not used */
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"CMD1))              iCase=N_CMD1;
      /* if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"_"CMD2))           iCase=N_CMD2;*/
      if(!iCase && szBuf==strstr(szBuf,ppbKEYWORD"."))                  iCase=N_SCRIPT;

#ifdef DEBUG
      itoa(iCase,szSleepMilliSec,10);
      MessageBox(NULL,szSleepMilliSec,APPNAME": iCase",MB_OK | MB_TOPMOST );
      MessageBox(NULL,szBuf,APPNAME": szBuf",MB_OK | MB_TOPMOST );
#endif

      if(!iCase)
         break;

      switch (iCase)
      {   case N_ISPPRORUNNING:                        /* PPB_IsPowerProRunning */
            if(uLenLpszCmdStart==lstrlen(ppbKEYWORD"_"ISPPRORUNNING) && !*szJustShowCommand)
            {   if(lpszCmdHandle!=0L) GlobalFree((HANDLE)lpszCmdHandle);
               return(hPproRunning()!=0);
            }
            if(*szJustShowCommand=='/')
            {   lstrcpy(szSleepMilliSec,ppbKEYWORD"_"ISPPRORUNNING"= ");
               lstrcat(szSleepMilliSec,(LPSTR)(hPproRunning() ?
                  "1  ("PPRO_PROGNAME" is ON)":"0 ("PPRO_PROGNAME" is OFF)"));
               MessageBox(NULL,szSleepMilliSec,APPNAME": Just showing commands",MB_OK | MB_TOPMOST );
            }
            vCleanUp(szBuf,ppbKEYWORD"_"ISPPRORUNNING,NULL);
            bStartUpPPro=0;
            break ;

         case N_SLEEP:                                 /* PPB_SleepMS(3000) */
            p=szBuf+lstrlen((LPSTR)ppbKEYWORD"_"SLEEP);
            for (;*p!='(' && *p;) p++;
            *szSleepMilliSec=szSleepMilliSec[1]=0;
            for (++p;*p;p++)
            {   if (*p == 0 || *p == ')' || lstrlen(szSleepMilliSec) > 6) break;
               if(*p != ' ') strncat(szSleepMilliSec, p, 1);
            }
            if(*szSleepMilliSec)
            {   if(*szJustShowCommand=='/')
                  MessageBox(NULL,szSleepMilliSec,ppbKEYWORD"_"SLEEP,MB_OK | MB_TOPMOST );
               else Sleep(max(atoi(szSleepMilliSec),30));
            }
            vCleanUp(szBuf,ppbKEYWORD"_"SLEEP,p);
            bStartUpPPro=0;
            break ;

         case N_SDPPRO:                              /* PPB_ShutdownPPro */
            if(hPproRunning() && !*szJustShowCommand)
            {   cd.dwData = 1;
               cd.cbData = sizeof(PPROSDPPRO)+1;
               cd.lpData = (LPSTR)PPROSDPPRO;
               SendMessageTimeout(hPproRunning(),WM_COPYDATA,0,
                     (LPARAM)&cd,SMTO_NORMAL,uiTimeout,lpdwResult);
               for(i=0;i<3;i++)
               {   Sleep(10000);
                  if(!(g_hwndPowerPro=hPproRunning())) break;
               }
               if(i==3)
               {   if(lpszCmdHandle!=0L) GlobalFree((HANDLE)lpszCmdHandle);
                  return(hPproRunning()!=0);
               }
            }
            else if(*szJustShowCommand=='/')
               MessageBox(NULL,ppbKEYWORD"_"SDPPRO,APPNAME": Just showing commands",MB_OK | MB_TOPMOST );
            vCleanUp(szBuf,ppbKEYWORD"_"SDPPRO,NULL);
            bStartUpPPro=0;
            break ;

         case N_STARTUPPPRO:                              /* PPB_StartupPPro */
            g_hwndPowerPro=hPproRunning();
            if(!g_hwndPowerPro && !*szJustShowCommand) g_hwndPowerPro=hwndArgs(0,lpszCmd);
            else if(*szJustShowCommand=='/')
               MessageBox(NULL,ppbKEYWORD"_"STARTUPPPRO,APPNAME": Just showing commands",
                     MB_OK | MB_TOPMOST );
            vCleanUp(szBuf,ppbKEYWORD"_"STARTUPPPRO,NULL);
            bStartUpPPro=1;
            break ;

         case N_CLIPSET:                                 /* PPB_ClipSet=my_text_to_end */
            /* NOTE: Defining  PPB_ClipSet=my_text_to_end */
#ifdef DONT_DO
            g_hwndPowerPro=hPproRunning();
            if(!g_hwndPowerPro && !*szJustShowCommand) g_hwndPowerPro=hwndArgs(0,lpszCmd);
#endif
            lstrcpyn((LPSTR)szBuf,lpszCmd,sizeof(szBuf)-1);
            strlwr(szBuf);
            p=strstr(szBuf,ppbKEYWORD"_"CLIPSET);
            lpClip=lpszCmd+(LONG)(p-szBuf)+lstrlen(ppbKEYWORD"_"CLIPSET);
            if(*szJustShowCommand=='/')
               MessageBox(NULL,lpClip,ppbKEYWORD"_"CLIPSET,MB_OK | MB_TOPMOST );
            else if(*lpClip && NULL!=(hBuf=GlobalAlloc(GMEM_MOVEABLE | GMEM_ZEROINIT | GMEM_DDESHARE,
               lstrlen(lpClip)+2)) && (lpBufTmp=GlobalLock(hBuf)))
            {  lstrcpy(lpBufTmp,lpClip);
               GlobalUnlock(hBuf);
               if(OpenClipboard(NULL))
               {  SetClipboardData(CF_TEXT,hBuf);
                  CloseClipboard();
            }   }
            *szBufSave=*szBuf=0;
            bStartUpPPro=0;
            break ;

         case N_CMD1:                                    /* PPB_CMD1 PPB_CMD2 */
            /* NOTE: Defining  PPB_CMD1 || PPB_CMD2=my_text_to_end */
            p1=p2=strstr(szBuf, " "ppbKEYWORD"_"CMD2);
            if(!p2) p2=strstr(szBuf, " "ppbKEYWORD".");
            if(p2)
            {  g_hwndPowerPro=hPproRunning();
               if(!g_hwndPowerPro && !*szJustShowCommand) g_hwndPowerPro=hwndArgs(0,lpszCmd);
               if(hPproRunning() && !*szJustShowCommand)
               {  *p2++=0;
                  lpClip=lpszCmd+uLenSzBufStart-uLenSzBufNow;
                  *(lpClip+lstrlen(szBuf))=0;
                  lpClip=lpClip+lstrlen(ppbKEYWORD"_"CMD1);
#ifdef WORKING_ON
                  MessageBox(NULL,lpClip,"lpClip= (below)",MB_OK | MB_TOPMOST);
                  MessageBox(NULL,lpClip,"szBuf= (below)",MB_OK | MB_TOPMOST);
#endif
                  cd.dwData = 1;
                  cd.cbData = lstrlen(lpClip)+1;
                  cd.lpData = (LPSTR)lpClip;
                  SendMessageTimeout(hPproRunning(),WM_COPYDATA,0,
                        (LPARAM)&cd,SMTO_NORMAL,uiTimeout,lpdwResult);
#ifdef WORKING_ON
                  MessageBox(NULL,p2,"p2",MB_OK | MB_TOPMOST);
#endif
                  lstrcpyn(szBuf,(LPSTR)(lpszCmd+uLenSzBufStart-uLenSzBufNow+lstrlen(szBuf)+1+
                     (p1 ? lstrlen(ppbKEYWORD"_"CMD2) : 0)),sizeof(szBuf)-1);
                  lstrcpy(szBufSave,szBuf);
                  lpszCmd=(LPSTR)szBufSave;
                  uLenLpszCmdStart=uLenSzBufStart=lstrlen((LPSTR)szBuf);
                  strlwr(szBuf);
#ifdef WORKING_ON
                  MessageBox(NULL,szBuf,"PPB_CMD2",MB_OK | MB_TOPMOST);
                  MessageBox(NULL,szBufSave,"PPB_CMD2",MB_OK | MB_TOPMOST);
#endif
               }
               else if(*szJustShowCommand=='/')
               {  vCleanUp(szBuf,ppbKEYWORD"_"CMD1,NULL);
                  if(p2) *(lpszCmd+uLenSzBufStart-uLenSzBufNow+(LONG)(p2-szBuf))='\n';
                  MessageBox(NULL,lpszCmd+uLenSzBufStart-uLenSzBufNow,
                     APPNAME": Just showing commands to PowerPro",MB_OK | MB_TOPMOST );
               }
               else { MessageBeep(MB_ICONHAND); return(hPproRunning()!=0); }
            } else vCleanUp(szBuf,ppbKEYWORD"_"CMD1,NULL);
            bStartUpPPro=0;
            if(p1 || !p2) break ;


         case N_SCRIPT:                                 /* PPB.YourScriptName [filename] */
            /* PPB.YourScriptName [filename] (includes optional filename in parenthesis)
               ppBang runs batch files as follows:
               ppBang PPB.YourScriptName %1
               and sends to PowerPro .YourScriptName(%1)
               adding the parenthesis and makes sure Filename has
               quotes and doesn't have ""Filename"" || """"
            */

            g_hwndPowerPro=hPproRunning();
            if(!g_hwndPowerPro && !*szJustShowCommand) g_hwndPowerPro=hwndArgs(0,lpszCmd);
            lstrcpyn((LPSTR)szBuf,lpszCmd,sizeof(szBuf)-1);
#ifdef WORKING_ON
            MessageBox(NULL,szBuf,"N_SCRIPT A",MB_OK | MB_TOPMOST);
            itoa(sizeof(ppbKEYWORD)-1,szSleepMilliSec,10);
            MessageBox(NULL,szSleepMilliSec,"sizeof(ppbKEYWORD)-1 "ppbKEYWORD,MB_OK | MB_TOPMOST );
#endif
            strlwr(szBuf);
            p=strstr(szBuf,ppbKEYWORD".");
            /* Copied string from .YourScriptName to end */
            lstrcpyn(szBufSave,(lpszCmd+=p-szBuf+sizeof(ppbKEYWORD)-1),sizeof(szBufSave)-1);

#ifdef WORKING_ON
            MessageBox(NULL,szBuf,"N_SCRIPT B",MB_OK | MB_TOPMOST);
            MessageBox(NULL,szBufSave,"N_SCRIPT C",MB_OK | MB_TOPMOST);
#endif

            for (p=szBufSave;*p && *p!=' ';) p++;   /* Space before filename after .YourScriptName */
            if(*p)
            {  for (*p++=0;*p && (*p==' ' || *p=='\"');) p++;  /* Found last of 1st space or " */
               if(*p)
               {  lstrcpy(szBuf,szBufSave);
                  lstrcat((LPSTR)szBuf,(LPSTR)(strstr(szBuf,"(") ? "??\"" : "(??\"" ) );
                  lstrcat((LPSTR)szBuf,p);
                  i=lstrlen(szBuf);
                  for (p=(szBuf+i-1);*p && (*p=='\"' || *p==' ');) *p--=0;
                  lstrcat((LPSTR)szBuf,"\"?)");
                  lstrcpy(szBufSave,szBuf);
               }
            }
            if(*szJustShowCommand=='/')
               MessageBox(NULL,szBufSave,"Command to PowerPro",MB_OK | MB_TOPMOST );
            lpszCmd=(LPSTR)szBufSave;
            uLenLpszCmdStart=uLenSzBufStart=0;
            *szBuf=0;
            bStartUpPPro=0;
            break ;

         case N_CLIPGETSETHISTORY:                              /* PPB_ClipGetSetHistory */
            if(*szJustShowCommand=='/')
            {   MessageBox(NULL,"Will get & set Clipboard",ppbKEYWORD"_"CLIPGETSETHISTORY,
                     MB_OK | MB_TOPMOST );
            }
            else if(OpenClipboard(NULL))
            {   if((hClipBrd=GetClipboardData(CF_TEXT)) && (lpClipBrd=GlobalLock(hClipBrd)))
               {   if(*lpClipBrd && NULL!=(hBuf=GlobalAlloc(GMEM_MOVEABLE | GMEM_ZEROINIT | GMEM_DDESHARE,
                     lstrlen(lpClipBrd)+2)) && (lpBufTmp=GlobalLock(hBuf)))
                  {   lstrcpy(lpBufTmp,lpClipBrd);
                     GlobalUnlock(hClipBrd);
                     GlobalUnlock(hBuf);
                     CloseClipboard();
                     /* Waiting for PowerPro or other program to finish */
                     Sleep(2000);
                     if(OpenClipboard(NULL))
                     {   SetClipboardData(CF_TEXT,hBuf);
                        CloseClipboard();
                     }
                     else GlobalFree(hBuf);
                  }
                  else GlobalUnlock(hClipBrd);
               }
               else CloseClipboard();
            }
            vCleanUp(szBuf,ppbKEYWORD"_"CLIPGETSETHISTORY,NULL);
            bStartUpPPro=0;
            break ;

         case N_MSGBOX:                                          /* PPB_MsgBox("Text","Caption") */
         case N_MSGOKCANCEL:                                     /* PPB_MsgOkCancel("Text","Caption") */
            p=szBufSave+lstrlen((LPSTR)(iCase==N_MSGBOX ? ppbKEYWORD"_"MSGBOX : ppbKEYWORD"_"MSGOKCANCEL));
            p1=p2=NULL;
#ifdef TEMPSAVE
            MessageBox(NULL,szBufSave,szBuf,MB_OK);
#endif
            for (;*p!='(' && *p!=')' && *p;) p++;
            if(*p && *p=='(' && *++p)
            {   for (;*p!='\"' && *p!=')' && *p;) p++;
               if(*p && *p=='\"' && *++p)                        /* Found Messagetext Start */
               {   for(p1=p;*p1!='\"' && *p1;) p1++;
                  if(*p1 && *p1=='\"' && *(p1+1))                /* Found Messagetext EndQuote */
                  {   *p1++=0;
                     for(;*p1!='\"' && *p1!=')' && *p1;) p1++;
                     if(*p1 && *p1=='\"' && *++p1)               /* Found Caption Start */
                     {   for(p2=p1;*p2!='\"' && *p2;) p2++;
                        if(*p2 && *p2=='\"' && *(p2+1))          /* Found Messagetext EndQuote */
                           *p2++=0;
                        else p2=NULL;
                     } else p2=NULL;
                     if(IDCANCEL==MessageBox(NULL,p,(LPSTR)(!p2 ? APPNAME : p1),
                              (UINT)(iCase==N_MSGBOX ? MB_OK : MB_OKCANCEL)))
                     {   if(lpszCmdHandle!=0L) GlobalFree((HANDLE)lpszCmdHandle);
                        return(hPproRunning()!=0);
                     }
                  } else p1=NULL;
            }   }
#ifdef TEMPSAVE
            MessageBox(NULL,p,(p2 ? p2 : ""),MB_OK);
#endif
            if(p2)
            {   for(;*p2!=')' && *p2;) p2++;
               vCleanUp(szBuf,ppbKEYWORD"_"MSGBOX,&szBuf[(UINT)p2-(UINT)szBufSave]);
            }
            else if(p1)
            {   for(;*p1!=')' && *p1;) p1++;
               vCleanUp(szBuf,ppbKEYWORD"_"MSGBOX,&szBuf[(UINT)p1-(UINT)szBufSave]);
            }
            else vCleanUp(szBuf,(iCase==N_MSGBOX ? ppbKEYWORD"_"MSGBOX : ppbKEYWORD"_"MSGOKCANCEL),NULL);
            bStartUpPPro=0;
            break ;


         default:
            break ;
      }
      if(uLenLpszCmdStart > uLenSzBufStart)
      {   uLenSzBufNow=(UINT)lstrlen((LPSTR)szBuf);

         /*for(;(lpszCmd+uLenSzBufStart)==" ";uLenSzBufStart++);*/

         lstrcpyn((LPSTR)(szBuf+uLenSzBufNow),(lpszCmd+uLenSzBufStart),sizeof(szBuf)-1);
         lstrcpyn((LPSTR)(szBufSave+uLenSzBufNow),(lpszCmd+uLenSzBufStart),sizeof(szBufSave)-1);
         uLenSzBufStart+=lstrlen((LPSTR)szBuf)-uLenSzBufNow;
         strlwr(szBuf);
      }
   }
   lpszCmd+=uLenSzBufStart-uLenSzBufNow;

#ifdef TEMPSAVE
   CleanUpCmdLn();
#endif

#ifdef DEBUG
   MessageBox(NULL,lpszCmd,"TEST",MB_OK | MB_TOPMOST );
#endif

   if(*szJustShowCommand=='/')
   {   hwndArgs(1,lpszCmdLine);
   } else
   {   if(!bStartUpPPro && !*lpszCmd) ;
      else
      {   if(0!=((g_hwndPowerPro=hwndArgs(0,lpszCmd))) && *lpszCmd)
         {   cd.dwData = 1;
            cd.cbData = lstrlen(lpszCmd)+1;
            cd.lpData = (LPSTR)lpszCmd;
            /* SendMessage(g_hwndPowerPro,WM_COPYDATA,0,(LPARAM)&cd); */
            SendMessageTimeout(g_hwndPowerPro,WM_COPYDATA,0,(LPARAM)&cd,SMTO_NORMAL,uiTimeout,lpdwResult);
   }   }   }
#ifdef TEMP_TIMEOUT
            for(i=0;i<5 && !SendMessageTimeout(g_hwndPowerPro,WM_COPYDATA,0,(LPARAM)&cd,SMTO_NORMAL,uiTimeout,lpdwResult) && initLength < sizeof(szBufSave)-1;i++)
            {   lstrcpy(szBufSave,szBuf);
               lpszCmd=(LPSTR)szBufSave;
               cd.cbData = lstrlen(lpszCmd)+1;
               cd.lpData = (LPSTR)lpszCmd;
               Sleep(100);
   }   }   }   }
#endif
   /*   { MessageBeep(MB_ICONHAND);}*/
   if(lpszCmdHandle!=0L) GlobalFree((HANDLE)lpszCmdHandle);
   return(hPproRunning()!=0);
   return((int)(hPproRunning() ? 1:0));
}

/********************************/
HWND hwndArgs(BOOL bShowInfoMsg, LPSTR lpszCmdLine) {
    char *p;

   char szModFile[DIRECTORYSIZE];
   char szIniFile[DIRECTORYSIZE] ="\0";
   char szSectionName[sizeof(APPNAMESECTION)] = APPNAMESECTION;
   char szUserName[USERNAMEMAX+sizeof(APPNAMESECTION)] = APPNAMESECTION;
   char szFilePath[DIRECTORYSIZE];
   char szPar[DIRECTORYSIZE];
   char szDir[DIRECTORYSIZE];
   char szSleepMilliSec[20];
   char *pClipCopy=CLIP_COPY;
   HGLOBAL hBuf;
   int i;
   /*LPVOID lpBuf;*/
   LPSTR lpBuf;

   if((g_hwndPowerPro=hPproRunning()) && !bShowInfoMsg)
      return (g_hwndPowerPro);
   /* Identifies the module whose executable filename is being requested.
      If this parameter is NULL, GetModuleFileName returns the path for
      the file used to create the calling process. */
   GetModuleFileName(NULL,(LPTSTR)szModFile,DIRECTORYSIZE);
   lstrcpy(szIniFile,szModFile);
   if(*(p=strrchr(szIniFile, '.'))) *p=0;
   lstrcat(szIniFile,".ini");
   GetEnvironmentVariable("USERNAME",&szUserName[sizeof(APPNAMESECTION)-1],USERNAMEMAX);
   GetPrivateProfileString(szUserName, "filepath", "\0",
                           szFilePath, sizeof(szFilePath)-1, szIniFile);
   GetPrivateProfileString(szUserName, "directory", "\0",
                           szDir, sizeof(szDir)-1, szIniFile);
   GetPrivateProfileString(szUserName, "parameter", "\0",
                           szPar, sizeof(szPar)-1, szIniFile);
   GetPrivateProfileString(szUserName, "SleepMilliSec", "\0",
                           szSleepMilliSec, sizeof(szSleepMilliSec)-1, szIniFile);
   if(!*szFilePath)
      GetPrivateProfileString(szSectionName, "filepath", "\0",
                     szFilePath, sizeof(szFilePath)-1, szIniFile);
   if(!*szDir)
      GetPrivateProfileString(szSectionName, "directory", "\0",
                     szDir, sizeof(szDir)-1, szIniFile);
   if(!*szPar)
      GetPrivateProfileString(szSectionName, "parameter", "\0",
                     szPar, sizeof(szPar)-1, szIniFile);
   if(!*szSleepMilliSec)
      GetPrivateProfileString(szSectionName, "SleepMilliSec", "\0",
                     szSleepMilliSec, sizeof(szSleepMilliSec)-1, szIniFile);
   if(*szFilePath && !bShowInfoMsg &&
         32 < (UINT)ShellExecute((HWND)WinMain,NULL,szFilePath,szPar,szDir,SW_NORMAL))
   {   if(*lpszCmdLine)
      {   /*MessageBox(NULL,lpszCmdLine,szSleepMilliSec,MB_OK | MB_TOPMOST );*/
         Sleep(max(atoi(szSleepMilliSec),500));
      } else
      {   /*MessageBox(NULL,lpszCmdLine,"Sleep at INI !*lpszCmdLine  "PPBKEYWORD2"_"SDPPRO,MB_OK | MB_TOPMOST );*/
         for(i=0;i<3;i++)
         {   Sleep(10000);
            if(hPproRunning()) break;
         }
      }
   }
   if(!(g_hwndPowerPro=hPproRunning()) || bShowInfoMsg)
/* {   if(NULL!=(lpBuf=(LPSTR)GlobalAlloc(GPTR,  DIRECTORYSIZE*20+lstrlen(lpszCmdLine)*2)))*/
   {   if(NULL!=(hBuf=GlobalAlloc(GMEM_MOVEABLE | GMEM_ZEROINIT,
                  DIRECTORYSIZE*20+(UINT)lstrlen(lpszCmdLine)*2)) && (lpBuf=GlobalLock(hBuf)))
      {   lstrcat(lpBuf,"THE SETTINGS FOUND WERE:\n  This program =\t\t");
         lstrcat(lpBuf,szModFile);
         lstrcat(lpBuf,"\n  Your *.INI file =\t\t");
         lstrcat(lpBuf,szIniFile);
         lstrcat(lpBuf,"\n  Looked for [section_name] =\t[");
         lstrcat(lpBuf,szSectionName);
         lstrcat(lpBuf,"]         in the *.INI file; (default)\n  Then looked for [section_name] =\t[");
         lstrcat(lpBuf,szUserName);
         lstrcat(lpBuf,"]  in the *.INI file; (optional), overrides (default)\n\nFOUND key_names: \n"
            "  filepath =\t");
         lstrcat(lpBuf,szFilePath);
         lstrcat(lpBuf,"\t\t(FullPath"PPRO_PROGNAME".exe)\n  parameter =\t");
         lstrcat(lpBuf,szPar);
         lstrcat(lpBuf,"\t\t(FullPath*.pcf)\n  directory =\t");
         lstrcat(lpBuf,szDir);
         lstrcat(lpBuf,"\t\t\t(FolderTo*.pcf)\n  SleepMilliSec =\t");
         lstrcat(lpBuf,szSleepMilliSec);

         lstrcat(lpBuf,"\n\nCommandLine to "APPNAME" =");
         lstrcpyn((LPSTR)(lpBuf+lstrlen(lpBuf)),lpszCmdLine,MAXPPROBUFFER*2);
         if((UINT)lstrlen(lpszCmdLine) > MAXPPROBUFFER*2)
            lstrcat(lpBuf," (...PLUS MORE...)");
         lstrcat(lpBuf,"\nCommandLine to "PPRO_PROGNAME" =");
         lstrcpyn((LPSTR)(lpBuf+(UINT)lstrlen(lpBuf)),lpszCmd,MAXPPROBUFFER*2);
         if((UINT)lstrlen(lpszCmd) > MAXPPROBUFFER*2)
            lstrcat(lpBuf," (...PLUS MORE...)");

         lstrcat(lpBuf,"\n\nCOMMAND LINE SYNTAX FOR: "APPNAME":\n"
            PPBKEYWORD2"_"SDPPRO2"  "PPBKEYWORD2"_"ISPPRORUNNING2"  "PPBKEYWORD2"_"SLEEP2"(millisec)  "
               PPBKEYWORD2"_"STARTUPPPRO2"\n"
               PPBKEYWORD2"_"MSGBOX2"   or   "PPBKEYWORD2"_"MSGOKCANCEL2"(\"Text\",\"Caption\")\n"
               PPBKEYWORD2"_CMD1=*Script SetString _file_ c:\\Ted's "PPBKEYWORD2"_CMD2="
                  "*Clip text _file_  (space before "PPBKEYWORD2"_CMD2 is important)\n"
               PPBKEYWORD2".YourScriptName anycharacters  < builds & sends: "
                  ".YourScriptName(??\"anycharacters\"?)\n");
         lstrcat(lpBuf,PPBKEYWORD2"_"CLIPSET2"my_text_to_end   "PPRO_PROGNAME"'s_command_is_last"
            "\n    Returns ErrorLevel:\t0,   When "PPRO_PROGNAME".exe not running;\n"
            "\t\t\t1,   when "PPRO_PROGNAME".exe is Running.\n");
         lstrcat(lpBuf,"\nClipboard copy "APPNAME" command line options?" );
         if(IDOK==MessageBox(NULL,lpBuf,(LPSTR)(bShowInfoMsg ?
            "Help for "APPNAME":      (version "VERSIONNUMBER")" :
            "Unable to run "PPRO_PROGNAME" from the *.INI file."),
            MB_OKCANCEL | MB_DEFBUTTON2/*| MB_ICONINFORMATION | MB_TOPMOST*/ ))
         {   GlobalUnlock(hBuf);
            GlobalFree((HANDLE)lpBuf);
            if(NULL!=(hBuf=GlobalAlloc(GMEM_MOVEABLE | GMEM_ZEROINIT | GMEM_DDESHARE,
                  lstrlen(pClipCopy)+2)) && (lpBuf=GlobalLock(hBuf)))
            {   lstrcpy(lpBuf,pClipCopy);
               GlobalUnlock(hBuf);
               if(OpenClipboard(NULL))
               {   SetClipboardData(CF_TEXT,hBuf);
                  CloseClipboard();
            }   }
         } else { GlobalUnlock(hBuf); GlobalFree((HANDLE)lpBuf);}
      }
   }
   return(g_hwndPowerPro);
}
