#if ! defined( POWERPRO_PPSERVICES_CLIENT_HEADER )

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// ppRegistry: a PowerPro Plugin to access the registry
// version 1.17beta	 21 Dec 2002

// Copyright (C) 2002 by Alan Campbell
// All rights reserved
//
// Distribute freely, except: don't remove my name from the source or
// documentation (don't take credit for my work), mark your changes (don't
// get me blamed for your possible bugs), don't alter or remove this
// notice.

// No warranty of any kind, express or implied, is included with this
// software; use at your own risk, responsibility for damages (if any) to
// anyone resulting from the use of this software rests entirely with the
// user.
//
// Send bug reports, bug fixes, enhancements, requests, flames, etc., and
// I'll try to keep a version up to date.  I can be reached as follows:
//    ppRegistry@AlanCampbellLists.fsnet.co.uk

// And thanks to Marko Bozikovic: I stole this comment header, and the
// macros below, from him.

/////////////////////////////////////////////////////////////////////////////

#define POWERPRO_PPSERVICES_CLIENT_HEADER

//#include "..\..\Common\stdafx.h"
#include <windows.h>
 
BOOL   ppMatchCaption(HWND hw, LPSTR szCaptionList, HWND hwndServer);
HWND   ppFindMatchingWindow(LPSTR szCaptionList, BOOL bHidden, HWND hwndServer);
BOOL   ppIsRolled(HWND hw, HWND hwndServer);
BOOL   ppIsTrayMinned(HWND hw, HWND hwndServer);

BOOL   ppStaticVarExists(LPSTR szName, LPSTR szScript, HWND hwndServer);
BOOL   ppGetStaticVar(LPSTR szName, LPSTR szScript, HWND hwndServer);
BOOL   ppSetStaticVar(LPSTR szName, LPSTR szScript, LPSTR szVal, BOOL bCreate, HWND hwndServer);
UINT   ppGetVarSize(LPSTR var, HWND hwndServer);
BOOL   ppVarExists(LPSTR var, HWND hwndServer);
BOOL   ppGetVar(LPSTR var, HWND hwndServer);
VOID   ppSetVar(LPSTR var, LPSTR val, HWND hwndServer);
BOOL   ppGetCurrentDir(HWND h, HWND hwndServer);
BOOL   ppEvalExpr(LPSTR sz, HWND hwndServer);

BOOL   ppEncodeFloat(double dblVal, HWND hwndServer);
BOOL   ppDecodeFloat(LPSTR pszEncodedFloat, HWND hwndServer);

//service routines used by any of below that return a string
LPSTR getMappedFile(HWND hwnd, OUT PHANDLE phmem);
void closeMappedFile(LPSTR pszFileMap, HANDLE hmem);


//#endif // __cplusplus
 
#endif // ! defined( POWERPRO_PPSERVICES_CLIENT_HEADER )
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 