#if !defined(BYTEBLOCK_HANDLE_COLLECTION_C_HEADER)

#define BYTEBLOCK_HANDLE_COLLECTION_C_HEADER

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "..\PowerProDefines.h"
//#include "..\..\..\PowerProDefines.h"

#ifdef PPBINARY_EXPORTS
#define PPBINARY_API __declspec(dllexport)
#else
#define PPBINARY_API __declspec(dllimport)
#endif

struct BYTEBLOCK_HANDLE_SERVICES
{
 BOOL           (* bFreeSpace)  ();
 struct ByteBlockData* (* get)  (LPSTR, PPROSERVICES*);
 BYTE*          (*add)          (BYTE*, INT, INT, PPROSERVICES*, LPSTR);
 BOOL           (* remove)      (LPSTR, PPROSERVICES*);
 BOOL           (* modify)      (LPSTR, INT, INT, BYTE*, PPROSERVICES*);
/*
#if PP_REF_COUNTING == 1
 void           (* refAdd)      (IN LPSTR, PPROSERVICES*);
 BOOL           (* refRemove)   (IN LPSTR, PPROSERVICES*);
#endif
*/
};                                              

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
                      // used by C++ source code
#endif

PPBINARY_API struct BYTEBLOCK_HANDLE_SERVICES* getByteBlockWithHandleServices();

#ifdef __cplusplus
}
#endif


#endif // #if !defined(BYTEBLOCK_HANDLE_COLLECTION_C_HEADER)