#include <stdio.h>
#include <windows.h>

#define VAR_SIZE 532 //while it's possible to pass a long string with several commands, each command may not be longer than that
#define BLOCK_SIZE 1024 //arbitrary value, reduce to reduce memory footprint or increase to improve performance

 int main(int argc, char **argv) {
char *szCommand;
int nBlocks;	
COPYDATASTRUCT cd;
HWND g_hwndPowerPro;
int lenArgs;
char str[VAR_SIZE];
char *ptr; //a pointer for use with fgets and realloc

szCommand=malloc(BLOCK_SIZE);
if (szCommand==0) {strcpy(szCommand,"*message |2pp: memory allocation error");}
else {
	nBlocks=1;
	szCommand[0]=0;
	lenArgs=0;
	if (argc>1) {lenArgs=strlen(argv[1]);}
	if (argc>2) {lenArgs=lenArgs+strlen(argv[2]);}
	do {
		ptr=fgets(str,VAR_SIZE-lenArgs,stdin);
		//if stdin could have been truncated...
		if (strlen(str)+1==VAR_SIZE-lenArgs) {
			strcpy(szCommand,"*message |2pp: command too long");
			ptr=0;
		}
		//if the line exists and is not empty...
		if (str[0]!='\n' && ptr!=0) {
			if (strlen(szCommand)+strlen(str)+lenArgs+1>nBlocks*BLOCK_SIZE) {
				ptr=realloc(szCommand,BLOCK_SIZE*(nBlocks+1));
				if (ptr==0) {strcpy(szCommand,"*message |2pp: memory allocation error");}
				else {
					nBlocks=nBlocks+1;
					szCommand=ptr;
					}
			}
			//if the memory allocation suceeded...
			if (ptr!=0) {
				if (argc>1) {strcat(szCommand,argv[1]);}
				if (argc>2) {
					//concatenating with a little twist to place the second argument before the newline...
					strncat(szCommand,str,strlen(str)-1);
					strcat(szCommand,argv[2]);
					strcat(szCommand,"\n");
				}
				else {strcat(szCommand,str);}
			}
		}
	} while(ptr!=0);
}
g_hwndPowerPro=FindWindow("PowerProMain",NULL);
cd.dwData=1;
cd.cbData=strlen(szCommand)+1;
cd.lpData=szCommand;
SendMessage(g_hwndPowerPro,WM_COPYDATA,0,(LPARAM)&cd);
return(0);
 }
