#if !defined(HANDLE_COLLECTION_C_HEADER)

#define HANDLE_COLLECTION_C_HEADER

#ifdef PPUNICODE_EXPORTS
#define PPUNICODE_API __declspec(dllexport)
#else
#define PPUNICODE_API __declspec(dllimport)
#endif

#include <windows.h>
#include "..\PowerProDefines.h"

#ifdef __cplusplus
extern "C" {  // only need to export C interface if
              // used by C++ source code
#endif

struct PPUNICODESERVICES
{
 BOOL   (* bFreeSpace)();
 WCHAR* (* get)       (IN LPSTR);
 BOOL   (* add)       (IN WCHAR*, OUT LPSTR, PPROSERVICES*);
 BOOL   (* remove)    (IN LPSTR);
 BOOL   (* modify)    (IN WCHAR*, IN LPSTR, PPROSERVICES*);
 BOOL   (* addmake)   (IN WCHAR*, OUT LPSTR, PPROSERVICES*);
 INT    (* getsize)   (IN LPSTR);
};                                              

PPUNICODE_API struct PPUNICODESERVICES* getUnicodeServices();

#ifdef __cplusplus
}
#endif


#endif // #if !defined(HANDLE_COLLECTION_C_HEADER)